From 17a905aee8d2bf6b96e612f7cc3bd95df949f3aa Mon Sep 17 00:00:00 2001
From: Jony <--get>
Date: Mon, 15 Jul 2019 10:21:17 -0700
Subject: [PATCH 01/42] common/environment/setup/misc.sh: sorted list of sites
 and added GITHUB_SITE

---
 common/environment/setup/misc.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/common/environment/setup/misc.sh b/common/environment/setup/misc.sh
index efa36e18589..1c51517f75d 100644
--- a/common/environment/setup/misc.sh
+++ b/common/environment/setup/misc.sh
@@ -4,19 +4,20 @@
 # SITE used for ditfiles mirrors. For use in $distfiles.
 set -a
 
-SOURCEFORGE_SITE="http://downloads.sourceforge.net/sourceforge"
-NONGNU_SITE="http://download.savannah.nongnu.org/releases"
-UBUNTU_SITE="http://archive.ubuntu.com/ubuntu/pool"
-XORG_SITE="https://www.x.org/releases/individual"
+CPAN_SITE="https://www.cpan.org/modules/by-module"
 DEBIAN_SITE="http://ftp.debian.org/debian/pool"
+FREEDESKTOP_SITE="https://freedesktop.org/software"
+GITHUB_SITE="https://github.com"
 GNOME_SITE="http://ftp.gnome.org/pub/GNOME/sources"
-KERNEL_SITE="https://www.kernel.org/pub/linux"
-CPAN_SITE="https://www.cpan.org/modules/by-module"
-PYPI_SITE="https://files.pythonhosted.org/packages/source"
-MOZILLA_SITE="https://ftp.mozilla.org/pub"
 GNU_SITE="http://ftp.gnu.org/gnu"
-FREEDESKTOP_SITE="https://freedesktop.org/software"
 KDE_SITE="https://download.kde.org/stable"
+KERNEL_SITE="https://www.kernel.org/pub/linux"
+MOZILLA_SITE="https://ftp.mozilla.org/pub"
+NONGNU_SITE="http://download.savannah.nongnu.org/releases"
+PYPI_SITE="https://files.pythonhosted.org/packages/source"
+SOURCEFORGE_SITE="http://downloads.sourceforge.net/sourceforge"
+UBUNTU_SITE="http://archive.ubuntu.com/ubuntu/pool"
+XORG_SITE="https://www.x.org/releases/individual"
 
 # Repetitive sub homepage's with no real project page
 # ie. some gnome and xorg projects. For use in $homepage.

From f00509b855cf42edabd595e10aa2e3ac9dadcac0 Mon Sep 17 00:00:00 2001
From: Jony <--get>
Date: Mon, 15 Jul 2019 10:25:02 -0700
Subject: [PATCH 02/42] Manual.md: sorted list of sites and added GITHUB_SITE

---
 Manual.md | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/Manual.md b/Manual.md
index a52164a7f73..9685d77c2e8 100644
--- a/Manual.md
+++ b/Manual.md
@@ -459,8 +459,10 @@ Example:
   | CPAN_SITE        | http://cpan.perl.org/modules/by-module          |
   | DEBIAN_SITE      | http://ftp.debian.org/debian/pool               |
   | FREEDESKTOP_SITE | http://freedesktop.org/software                 |
+  | GITHUB_SITE      | https://github.com                              |
   | GNOME_SITE       | http://ftp.gnome.org/pub/GNOME/sources          |
   | GNU_SITE         | http://ftp.gnu.org/gnu                          |
+  | KDE_SITE         | https://download.kde.org/stable                 |
   | KERNEL_SITE      | http://www.kernel.org/pub/linux                 |
   | MOZILLA_SITE     | http://ftp.mozilla.org/pub                      |
   | NONGNU_SITE      | http://download.savannah.nongnu.org/releases    |
@@ -469,7 +471,6 @@ Example:
   | UBUNTU_SITE      | http://archive.ubuntu.com/ubuntu/pool           |
   | XORG_HOME        | http://xorg.freedesktop.org/wiki/               |
   | XORG_SITE        | http://www.x.org/releases/individual            |
-  | KDE_SITE         | https://download.kde.org/stable                 |
 
 - `checksum` The `sha256` digests matching `${distfiles}`. Multiple files can be
 separated by blanks. Please note that the order must be the same than

From a9b9529662e6a603eb74fb18909c1d0bd97860be Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 14 Jul 2019 14:03:21 +0000
Subject: [PATCH 03/42] dtkcore: update to 2.0.16.1.

---
 srcpkgs/dtkcore/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dtkcore/template b/srcpkgs/dtkcore/template
index c12b4989980..c5579400771 100644
--- a/srcpkgs/dtkcore/template
+++ b/srcpkgs/dtkcore/template
@@ -1,6 +1,6 @@
 # Template file for 'dtkcore'
 pkgname=dtkcore
-version=2.0.14
+version=2.0.16.1
 revision=1
 build_style=qmake
 configure_args="LIB_INSTALL_DIR=/usr/lib/ VERSION=${version}"
@@ -12,7 +12,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/dtkcore"
 changelog="https://github.com/linuxdeepin/dtkcore/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/dtkcore/archive/${version}.tar.gz"
-checksum=d012e009775c261ebe085046d2272a57346ac7f9cde0114bc608ca5cfd39c0eb
+checksum=b0bb9ffefb13b211adb6129432d830980df4a83493732e8031208321a84d7be6
 
 if [ "$CROSS_BUILD" ];then
 	hostmakedepends+=" qt5-devel gsettings-qt-devel"

From 340e1f9afd59dda7c8ff185e26b75c21cf689e83 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 14 Jul 2019 14:03:30 +0000
Subject: [PATCH 04/42] dtkwidget: update to 2.0.16.1.

---
 srcpkgs/dtkwidget/patches/qt5.13.patch | 39 --------------------------
 srcpkgs/dtkwidget/template             |  6 ++--
 2 files changed, 3 insertions(+), 42 deletions(-)
 delete mode 100644 srcpkgs/dtkwidget/patches/qt5.13.patch

diff --git a/srcpkgs/dtkwidget/patches/qt5.13.patch b/srcpkgs/dtkwidget/patches/qt5.13.patch
deleted file mode 100644
index a76621a3f3a..00000000000
--- a/srcpkgs/dtkwidget/patches/qt5.13.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-diff --git a/src/widgets/daboutdialog.cpp b/src/widgets/daboutdialog.cpp
-index 5c6ba91..a33fd94 100644
---- src/widgets/daboutdialog.cpp
-+++ src/widgets/daboutdialog.cpp
-@@ -575,6 +575,6 @@ void DAboutDialog::showEvent(QShowEvent *event)
-     }
- }
- 
--#include "moc_daboutdialog.cpp"
--
- DWIDGET_END_NAMESPACE
-+
-+#include "moc_daboutdialog.cpp"
-diff --git a/src/widgets/dipv4lineedit.cpp b/src/widgets/dipv4lineedit.cpp
-index 4efe6e4..1cc68b4 100644
---- src/widgets/dipv4lineedit.cpp
-+++ src/widgets/dipv4lineedit.cpp
-@@ -530,6 +530,6 @@ bool DIpv4LineEdit::eventFilter(QObject *obj, QEvent *e)
-     return DLineEdit::eventFilter(obj, e);
- }
- 
--#include "moc_dipv4lineedit.cpp"
--
- DWIDGET_END_NAMESPACE
-+
-+#include "moc_dipv4lineedit.cpp"
-diff --git a/src/widgets/dlistview.cpp b/src/widgets/dlistview.cpp
-index 0dcc244..523ebd5 100644
---- src/widgets/dlistview.cpp
-+++ src/widgets/dlistview.cpp
-@@ -709,6 +709,6 @@ bool DListView::edit(const QModelIndex &index, QAbstractItemView::EditTrigger tr
-     return tmp;
- }
- 
--#include "moc_dlistview.cpp"
--
- DWIDGET_END_NAMESPACE
-+
-+#include "moc_dlistview.cpp"
diff --git a/srcpkgs/dtkwidget/template b/srcpkgs/dtkwidget/template
index 6fbac916d9b..1d379a9f305 100644
--- a/srcpkgs/dtkwidget/template
+++ b/srcpkgs/dtkwidget/template
@@ -1,7 +1,7 @@
 # Template file for 'dtkwidget'
 pkgname=dtkwidget
-version=2.0.14
-revision=2
+version=2.0.16.1
+revision=1
 build_style=qmake
 configure_args="DBUS_VERSION_0_4_2=YES LIB_INSTALL_DIR=/usr/lib VERSION=${version}"
 hostmakedepends="pkg-config qt5-host-tools qt5-qmake"
@@ -14,7 +14,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/dtkwidget"
 changelog="https://github.com/linuxdeepin/dtkwidget/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/dtkwidget/archive/${version}.tar.gz"
-checksum=bc514724011f36f89c38f6381c16171f6cf3347a11aca09d8c4f0c027ddc8c1d
+checksum=d8b29e1a36fadb3563b904da37d034da3c6c63a7d232deaade3b9c6f6e6dc9f2
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" dtkcore-devel qt5-multimedia-devel qt5-x11extras-devel

From 91ddc275ed2ccb7673943b47a7bc6e990da86ee6 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 14 Jul 2019 14:04:54 +0000
Subject: [PATCH 05/42] knights: update to 19.04.3.

---
 srcpkgs/knights/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/knights/template b/srcpkgs/knights/template
index 6a7a9926d2d..acf9e4abcdc 100644
--- a/srcpkgs/knights/template
+++ b/srcpkgs/knights/template
@@ -1,6 +1,6 @@
 # Template file for 'knights'
 pkgname=knights
-version=19.04.2
+version=19.04.3
 revision=1
 build_style=cmake
 hostmakedepends="extra-cmake-modules qt5-qmake qt5-host-tools python3
@@ -11,4 +11,4 @@ maintainer="John <johnz@posteo.net>"
 license="LGPL-2.1-or-later"
 homepage="https://www.kde.org/applications/games/knights/"
 distfiles="${KDE_SITE}/applications/${version}/src/knights-${version}.tar.xz"
-checksum=55a9cf92d8c60abc42a920209ce11abfa14fcb4a2ea5d8186a0b8f85311387e5
+checksum=ab2e01ee6e309bf5221333168b58cf41c20ad5a5e70beeb31520d4076f6153e5

From 740f07922670a3f41433222fdc638dd02f958a1e Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 14 Jul 2019 14:05:13 +0000
Subject: [PATCH 06/42] kqtquickcharts: update to 19.04.3.

---
 srcpkgs/kqtquickcharts/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kqtquickcharts/template b/srcpkgs/kqtquickcharts/template
index 1c8bb012cb8..25155138c40 100644
--- a/srcpkgs/kqtquickcharts/template
+++ b/srcpkgs/kqtquickcharts/template
@@ -1,6 +1,6 @@
 # Template file for 'kqtquickcharts'
 pkgname=kqtquickcharts
-version=19.04.2
+version=19.04.3
 revision=1
 build_style=cmake
 hostmakedepends="extra-cmake-modules qt5-host-tools qt5-qmake"
@@ -11,7 +11,7 @@ maintainer="John <johnz@posteo.net>"
 license="LGPL-2.1-or-later"
 homepage="https://edu.kde.org/"
 distfiles="${KDE_SITE}/applications/${version}/src/${pkgname}-${version}.tar.xz"
-checksum=c56a7ded9a7475603e1132d64654df4f04692eb9875a7e53f89731b538b7eacf
+checksum=18f51bd61d8ab28832355b69082bb63a0efa3cf720918d5e7ff434e2219c17f5
 
 kqtquickcharts-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"

From cc141c0bd8b7d0e8389613a4951e0b6d3955a9e2 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Sun, 14 Jul 2019 14:05:23 +0000
Subject: [PATCH 07/42] tellico: update to 3.2.1.

---
 srcpkgs/tellico/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/tellico/template b/srcpkgs/tellico/template
index 31b19016b97..56d59f3015e 100644
--- a/srcpkgs/tellico/template
+++ b/srcpkgs/tellico/template
@@ -1,7 +1,7 @@
 # Template file for 'tellico'
 pkgname=tellico
-version=3.2
-revision=2
+version=3.2.1
+revision=1
 build_style=cmake
 configure_args="-DENABLE_WEBCAM=$(vopt_if webcam ON OFF)"
 hostmakedepends="extra-cmake-modules qt5-qmake qt5-host-tools kdoctools kconfig
@@ -16,7 +16,7 @@ maintainer="John <johnz@posteo.net>"
 license="GPL-3.0-or-later"
 homepage="http://tellico-project.org/files/"
 distfiles="http://tellico-project.org/files/${pkgname}-${version}.tar.xz"
-checksum=f20ec2bbfa9d4e0b4c0c38feb86d0cc4ae72ca6a680932cf58ed9f5b8f26114e
+checksum=38bc369a5341f2a1ba2bb1b4736da1b6eb4d326352d17e5d54e609f93c140bf8
 build_options="webcam yaz xmp cdio cddb scanner"
 build_options_default="webcam yaz xmp cdio cddb scanner"
 desc_option_cdio="Support for reading cdtext from audio CDs"

From b6483c23a076c9937ba5b53978a0a7ca53ca381c Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:40:23 +0000
Subject: [PATCH 08/42] deepin-image-viewer: update to 1.3.18.

---
 srcpkgs/deepin-image-viewer/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-image-viewer/template b/srcpkgs/deepin-image-viewer/template
index 91e28083489..7e27fa86390 100644
--- a/srcpkgs/deepin-image-viewer/template
+++ b/srcpkgs/deepin-image-viewer/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-image-viewer'
 pkgname=deepin-image-viewer
-version=1.3.17
+version=1.3.18
 revision=1
 build_style=qmake
 hostmakedepends="qt5-qmake pkg-config"
@@ -13,7 +13,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-image-viewer"
 changelog="https://github.com/linuxdeepin/deepin-image-viewer/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-image-viewer/archive/${version}.tar.gz"
-checksum=e9904e7118fa2e3fe5f1356ecb27570e7d61cdc3a4eafba94d640f630df2dea8
+checksum=4c615922fd972ddb8662b5000e9fdd7310d89d9511dfa2fdfe38551117dbea3e
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-svg-devel qt5-x11extras-devel"

From f77fcbfb062825da026ced6c92d3d4430b86b094 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:40:49 +0000
Subject: [PATCH 09/42] deepin-voice-recorder: update to 1.4.2.

---
 srcpkgs/deepin-voice-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-voice-recorder/template b/srcpkgs/deepin-voice-recorder/template
index df2d8078c8c..d3f640b92fe 100644
--- a/srcpkgs/deepin-voice-recorder/template
+++ b/srcpkgs/deepin-voice-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-voice-recorder'
 pkgname=deepin-voice-recorder
-version=1.4.1
+version=1.4.2
 revision=1
 build_style=qmake
 hostmakedepends="qt5-qmake pkg-config"
@@ -12,7 +12,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-voice-recorder/"
 changelog="https://raw.githubusercontent.com/linuxdeepin/deepin-voice-recorder/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-voice-recorder/archive/${version}.tar.gz"
-checksum=05f429099d3c71c81f3ec89da4427019f431b3b3aaa38735c14d0b8ac4dab509
+checksum=f123107a2858c5d73043c151c93638bcb637a7cfb3a376f51fcb719b94f3d659
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-multimedia-devel"

From fe69b4d3ba950d2a9d19e9a54cf7892b73356af1 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:05 +0000
Subject: [PATCH 10/42] dde-qt-dbus-factory: update to 1.1.6.

---
 srcpkgs/dde-qt-dbus-factory/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dde-qt-dbus-factory/template b/srcpkgs/dde-qt-dbus-factory/template
index c696e9c2423..91231303e59 100644
--- a/srcpkgs/dde-qt-dbus-factory/template
+++ b/srcpkgs/dde-qt-dbus-factory/template
@@ -1,6 +1,6 @@
 # Template file for 'dde-qt-dbus-factory'
 pkgname=dde-qt-dbus-factory
-version=1.1.5
+version=1.1.6
 revision=1
 build_style=qmake
 hostmakedepends="qt5-qmake python"
@@ -11,7 +11,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/dde-qt-dbus-factory"
 changelog="https://github.com/linuxdeepin/dde-qt-dbus-factory/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/dde-qt-dbus-factory/archive/${version}.tar.gz"
-checksum=ec6767100eb6cc1cca93fc6b47aa7161253fc98984091c3d718a7a5179c7bdb5
+checksum=b7a3c3c2293b700eae1cd2ec4e55f05e0bc9726b3e880c05bba89ed828955199
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-devel dde-qt-dbus-factory-devel"

From 10f2cfc7609c84f885f6d0d2a3686bb76954b755 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:13 +0000
Subject: [PATCH 11/42] deepin-editor: update to 1.2.9.1.

---
 srcpkgs/deepin-editor/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-editor/template b/srcpkgs/deepin-editor/template
index 3d85d2c1014..89ec5f710a1 100644
--- a/srcpkgs/deepin-editor/template
+++ b/srcpkgs/deepin-editor/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-editor'
 pkgname=deepin-editor
-version=1.2.9
+version=1.2.9.1
 revision=1
 build_style=cmake
 hostmakedepends="qt5-qmake qt5-host-tools pkg-config"
@@ -14,5 +14,5 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-editor"
 changelog="https://github.com/linuxdeepin/deepin-editor/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-editor/archive/${version}.tar.gz"
-checksum=eb65f46a570e8e19483ed47cbe0fd45fcdf57684627fdbb93311de5eae4a4f00
+checksum=8aabef5ae31f96d781dc24b27390b1dd8e28903f3f9f33e008637f6a45280159
 CXXFLAGS="-I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DWidget -I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DCore"

From 0bda3a3fb0a5308454a642701dfc2132a24c6418 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:20 +0000
Subject: [PATCH 12/42] deepin-picker: update to 1.6.6.

---
 srcpkgs/deepin-picker/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-picker/template b/srcpkgs/deepin-picker/template
index 699f92a01ee..f93371bc97e 100644
--- a/srcpkgs/deepin-picker/template
+++ b/srcpkgs/deepin-picker/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-picker'
 pkgname=deepin-picker
-version=1.6.5
+version=1.6.6
 revision=1
 build_style=qmake
 hostmakedepends="qt5-qmake pkg-config qt5-host-tools"
@@ -12,7 +12,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-picker"
 changelog="https://github.com/linuxdeepin/deepin-picker/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-picker/archive/${version}.tar.gz"
-checksum=6c2b4e5bf7e758b05913caebbdfc0a65167418db0afb6bbb225d7aa99c2584eb
+checksum=79630cd5db6b5f7636214ca83e1a40009c69708f4fd15374961062322cb5db8f
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-svg-devel qt5-x11extras-devel"

From 035e17d6fe45806f576ca9f2deda3e67157c2141 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:33 +0000
Subject: [PATCH 13/42] deepin-screenshot: update to 4.2.2.

---
 srcpkgs/deepin-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-screenshot/template b/srcpkgs/deepin-screenshot/template
index ae4900765ce..14d365056b7 100644
--- a/srcpkgs/deepin-screenshot/template
+++ b/srcpkgs/deepin-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-screenshot'
 pkgname=deepin-screenshot
-version=4.2.1
+version=4.2.2
 revision=1
 build_style=cmake
 hostmakedepends="pkg-config qt5-qmake"
@@ -13,7 +13,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-screenshot"
 changelog="https://github.com/linuxdeepin/deepin-screenshot/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-screenshot/archive/${version}.tar.gz"
-checksum=da99ff243e8027f0ad9e8d9a818829abcbc7d0cc207b3aedea241bf673cdf33b
+checksum=18c7657d93ebd007bef040abe947f2ea4048436efb6b28458adcea3923debb26
 CXXFLAGS="-I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DWidget"
 CXXFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DCore"
 CXXFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DWm"

From e4e63d4b95e60a0e052bef28b82c841b01a5bc48 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:41 +0000
Subject: [PATCH 14/42] deepin-terminal: update to 3.2.7.1.

---
 srcpkgs/deepin-terminal/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-terminal/template b/srcpkgs/deepin-terminal/template
index b70d79642b8..c989fe4e9b7 100644
--- a/srcpkgs/deepin-terminal/template
+++ b/srcpkgs/deepin-terminal/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-terminal'
 pkgname=deepin-terminal
-version=3.2.7
+version=3.2.7.1
 revision=1
 build_style=cmake
 configure_args="-DTEST_BUILD=OFF -DUSE_VENDOR_LIB=OFF"
@@ -15,7 +15,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-terminal"
 changelog="https://github.com/linuxdeepin/deepin-terminal/blob/master/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-terminal/archive/${version}.tar.gz"
-checksum=246f56a092007e19db19ed072d1ffc46d89eeb7c0c21425b558f8422b633baec
+checksum=af099625e5695a0253a5d3ad4242061824acd3bc534b11ce4d43165d21b669a7
 nocross=yes
 
 case $XBPS_TARGET_MACHINE in

From 3ee1b2b7f0efe3e3f94380cb46978cf4b811dfc0 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:41:54 +0000
Subject: [PATCH 15/42] deepin-calculator: update to 1.0.12.

---
 srcpkgs/deepin-calculator/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-calculator/template b/srcpkgs/deepin-calculator/template
index eb2de380d4f..73b68bb1251 100644
--- a/srcpkgs/deepin-calculator/template
+++ b/srcpkgs/deepin-calculator/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-calculator'
 pkgname=deepin-calculator
-version=1.0.11
+version=1.0.12
 revision=1
 build_style=qmake
 hostmakedepends="qt5-qmake pkg-config qt5-host-tools"
@@ -12,7 +12,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-calculator"
 changelog="https://github.com/linuxdeepin/deepin-calculator/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-calculator/archive/${version}.tar.gz"
-checksum=92cb21fa30cace9dac040dd7a04f39cb7821a82dab45f46ee9a3d070d51049bf
+checksum=abcbb1d98c3618bafa79b258bbb050e68019e731d9a2ddfdf6d64d684d520a8d
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-svg-devel"

From a7850506552ba1bea01a399e90b13334f1fbc72c Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:42:38 +0000
Subject: [PATCH 16/42] qt5dxcb-plugin: update to 1.2.6.

---
 .../deepin-qt5dxcb-plugin-qt5.13.patch        |   22 -
 srcpkgs/qt5dxcb-plugin/patches/qt5.13.patch   | 3521 -----------------
 srcpkgs/qt5dxcb-plugin/template               |    6 +-
 3 files changed, 3 insertions(+), 3546 deletions(-)
 delete mode 100644 srcpkgs/qt5dxcb-plugin/patches/deepin-qt5dxcb-plugin-qt5.13.patch
 delete mode 100644 srcpkgs/qt5dxcb-plugin/patches/qt5.13.patch

diff --git a/srcpkgs/qt5dxcb-plugin/patches/deepin-qt5dxcb-plugin-qt5.13.patch b/srcpkgs/qt5dxcb-plugin/patches/deepin-qt5dxcb-plugin-qt5.13.patch
deleted file mode 100644
index c10713c1d99..00000000000
--- a/srcpkgs/qt5dxcb-plugin/patches/deepin-qt5dxcb-plugin-qt5.13.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff --git a/platformplugin/windoweventhook.cpp b/platformplugin/windoweventhook.cpp
-index 742b41d..428dcb0 100644
---- a/platformplugin/windoweventhook.cpp
-+++ b/platformplugin/windoweventhook.cpp
-@@ -359,6 +359,8 @@ void WindowEventHook::handleFocusInEvent(const xcb_focus_in_event_t *event)
-     if (relayFocusToModalWindow(w, xcbWindow->connection()))
-         return;
- 
-+    xcbWindow->connection()->focusInTimer().stop();
-+
- #if QT_VERSION >= QT_VERSION_CHECK(5, 9, 0)
-     xcbWindow->connection()->setFocusWindow(w);
- #else
-@@ -433,7 +435,7 @@ void WindowEventHook::handleFocusOutEvent(const xcb_focus_out_event_t *event)
-     // Do not set the active window to 0 if there is a FocusIn coming.
-     // There is however no equivalent for XPutBackEvent so register a
-     // callback for QXcbConnection instead.
--    xcbWindow->connection()->addPeekFunc(focusInPeeker);
-+    xcbWindow->connection()->focusInTimer().start(400);
- }
- 
- void WindowEventHook::handlePropertyNotifyEvent(const xcb_property_notify_event_t *event)
diff --git a/srcpkgs/qt5dxcb-plugin/patches/qt5.13.patch b/srcpkgs/qt5dxcb-plugin/patches/qt5.13.patch
deleted file mode 100644
index 1824774c476..00000000000
--- a/srcpkgs/qt5dxcb-plugin/patches/qt5.13.patch
+++ /dev/null
@@ -1,3521 +0,0 @@
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbatom.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbatom.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbatom.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbatom.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,257 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2018 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the QtCore module of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+#ifndef QXCBATOM_H
-+#define QXCBATOM_H
-+
-+#include <xcb/xcb.h>
-+
-+class QXcbAtom
-+{
-+public:
-+    enum Atom {
-+        // window-manager <-> client protocols
-+        WM_PROTOCOLS,
-+        WM_DELETE_WINDOW,
-+        WM_TAKE_FOCUS,
-+        _NET_WM_PING,
-+        _NET_WM_CONTEXT_HELP,
-+        _NET_WM_SYNC_REQUEST,
-+        _NET_WM_SYNC_REQUEST_COUNTER,
-+        MANAGER, // System tray notification
-+        _NET_SYSTEM_TRAY_OPCODE, // System tray operation
-+
-+        // ICCCM window state
-+        WM_STATE,
-+        WM_CHANGE_STATE,
-+        WM_CLASS,
-+        WM_NAME,
-+
-+        // Session management
-+        WM_CLIENT_LEADER,
-+        WM_WINDOW_ROLE,
-+        SM_CLIENT_ID,
-+        WM_CLIENT_MACHINE,
-+
-+        // Clipboard
-+        CLIPBOARD,
-+        INCR,
-+        TARGETS,
-+        MULTIPLE,
-+        TIMESTAMP,
-+        SAVE_TARGETS,
-+        CLIP_TEMPORARY,
-+        _QT_SELECTION,
-+        _QT_CLIPBOARD_SENTINEL,
-+        _QT_SELECTION_SENTINEL,
-+        CLIPBOARD_MANAGER,
-+
-+        RESOURCE_MANAGER,
-+
-+        _XSETROOT_ID,
-+
-+        _QT_SCROLL_DONE,
-+        _QT_INPUT_ENCODING,
-+
-+        // Qt/XCB specific
-+        _QT_CLOSE_CONNECTION,
-+
-+        _MOTIF_WM_HINTS,
-+
-+        DTWM_IS_RUNNING,
-+        ENLIGHTENMENT_DESKTOP,
-+        _DT_SAVE_MODE,
-+        _SGI_DESKS_MANAGER,
-+
-+        // EWMH (aka NETWM)
-+        _NET_SUPPORTED,
-+        _NET_VIRTUAL_ROOTS,
-+        _NET_WORKAREA,
-+
-+        _NET_MOVERESIZE_WINDOW,
-+        _NET_WM_MOVERESIZE,
-+
-+        _NET_WM_NAME,
-+        _NET_WM_ICON_NAME,
-+        _NET_WM_ICON,
-+
-+        _NET_WM_PID,
-+
-+        _NET_WM_WINDOW_OPACITY,
-+
-+        _NET_WM_STATE,
-+        _NET_WM_STATE_ABOVE,
-+        _NET_WM_STATE_BELOW,
-+        _NET_WM_STATE_FULLSCREEN,
-+        _NET_WM_STATE_MAXIMIZED_HORZ,
-+        _NET_WM_STATE_MAXIMIZED_VERT,
-+        _NET_WM_STATE_MODAL,
-+        _NET_WM_STATE_STAYS_ON_TOP,
-+        _NET_WM_STATE_DEMANDS_ATTENTION,
-+
-+        _NET_WM_USER_TIME,
-+        _NET_WM_USER_TIME_WINDOW,
-+        _NET_WM_FULL_PLACEMENT,
-+
-+        _NET_WM_WINDOW_TYPE,
-+        _NET_WM_WINDOW_TYPE_DESKTOP,
-+        _NET_WM_WINDOW_TYPE_DOCK,
-+        _NET_WM_WINDOW_TYPE_TOOLBAR,
-+        _NET_WM_WINDOW_TYPE_MENU,
-+        _NET_WM_WINDOW_TYPE_UTILITY,
-+        _NET_WM_WINDOW_TYPE_SPLASH,
-+        _NET_WM_WINDOW_TYPE_DIALOG,
-+        _NET_WM_WINDOW_TYPE_DROPDOWN_MENU,
-+        _NET_WM_WINDOW_TYPE_POPUP_MENU,
-+        _NET_WM_WINDOW_TYPE_TOOLTIP,
-+        _NET_WM_WINDOW_TYPE_NOTIFICATION,
-+        _NET_WM_WINDOW_TYPE_COMBO,
-+        _NET_WM_WINDOW_TYPE_DND,
-+        _NET_WM_WINDOW_TYPE_NORMAL,
-+        _KDE_NET_WM_WINDOW_TYPE_OVERRIDE,
-+
-+        _KDE_NET_WM_FRAME_STRUT,
-+        _NET_FRAME_EXTENTS,
-+
-+        _NET_STARTUP_INFO,
-+        _NET_STARTUP_INFO_BEGIN,
-+
-+        _NET_SUPPORTING_WM_CHECK,
-+
-+        _NET_WM_CM_S0,
-+
-+        _NET_SYSTEM_TRAY_VISUAL,
-+
-+        _NET_ACTIVE_WINDOW,
-+
-+        // Property formats
-+        TEXT,
-+        UTF8_STRING,
-+        CARDINAL,
-+
-+        // Xdnd
-+        XdndEnter,
-+        XdndPosition,
-+        XdndStatus,
-+        XdndLeave,
-+        XdndDrop,
-+        XdndFinished,
-+        XdndTypelist,
-+        XdndActionList,
-+
-+        XdndSelection,
-+
-+        XdndAware,
-+        XdndProxy,
-+
-+        XdndActionCopy,
-+        XdndActionLink,
-+        XdndActionMove,
-+        XdndActionPrivate,
-+
-+        // Xkb
-+        _XKB_RULES_NAMES,
-+
-+        // XEMBED
-+        _XEMBED,
-+        _XEMBED_INFO,
-+
-+        // XInput2
-+        ButtonLeft,
-+        ButtonMiddle,
-+        ButtonRight,
-+        ButtonWheelUp,
-+        ButtonWheelDown,
-+        ButtonHorizWheelLeft,
-+        ButtonHorizWheelRight,
-+        AbsMTPositionX,
-+        AbsMTPositionY,
-+        AbsMTTouchMajor,
-+        AbsMTTouchMinor,
-+        AbsMTOrientation,
-+        AbsMTPressure,
-+        AbsMTTrackingID,
-+        MaxContacts,
-+        RelX,
-+        RelY,
-+        // XInput2 tablet
-+        AbsX,
-+        AbsY,
-+        AbsPressure,
-+        AbsTiltX,
-+        AbsTiltY,
-+        AbsWheel,
-+        AbsDistance,
-+        WacomSerialIDs,
-+        INTEGER,
-+        RelHorizWheel,
-+        RelVertWheel,
-+        RelHorizScroll,
-+        RelVertScroll,
-+
-+        _XSETTINGS_SETTINGS,
-+
-+        _COMPIZ_DECOR_PENDING,
-+        _COMPIZ_DECOR_REQUEST,
-+        _COMPIZ_DECOR_DELETE_PIXMAP,
-+        _COMPIZ_TOOLKIT_ACTION,
-+        _GTK_LOAD_ICONTHEMES,
-+
-+        AT_SPI_BUS,
-+
-+        EDID,
-+        EDID_DATA,
-+        XFree86_DDC_EDID1_RAWDATA,
-+
-+        NAtoms
-+    };
-+
-+    QXcbAtom();
-+    void initialize(xcb_connection_t *connection);
-+
-+    inline xcb_atom_t atom(QXcbAtom::Atom atom) const { return m_allAtoms[atom]; }
-+    QXcbAtom::Atom qatom(xcb_atom_t atom) const;
-+
-+protected:
-+    void initializeAllAtoms(xcb_connection_t *connection);
-+
-+private:
-+    xcb_atom_t m_allAtoms[QXcbAtom::NAtoms];
-+};
-+
-+#endif // QXCBATOM_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbbackingstore.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbbackingstore.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbbackingstore.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbbackingstore.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,116 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBBACKINGSTORE_H
-+#define QXCBBACKINGSTORE_H
-+
-+#include <qpa/qplatformbackingstore.h>
-+#include <QtCore/QStack>
-+
-+#include <xcb/xcb.h>
-+
-+#include "qxcbobject.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbBackingStoreImage;
-+
-+class QXcbBackingStore : public QXcbObject, public QPlatformBackingStore
-+{
-+public:
-+    QXcbBackingStore(QWindow *window);
-+    ~QXcbBackingStore();
-+
-+    QPaintDevice *paintDevice() override;
-+    void flush(QWindow *window, const QRegion &region, const QPoint &offset) override;
-+#ifndef QT_NO_OPENGL
-+    void composeAndFlush(QWindow *window, const QRegion &region, const QPoint &offset,
-+                         QPlatformTextureList *textures,
-+                         bool translucentBackground) override;
-+#endif
-+    QImage toImage() const override;
-+
-+    QPlatformGraphicsBuffer *graphicsBuffer() const override;
-+
-+    void resize(const QSize &size, const QRegion &staticContents) override;
-+    bool scroll(const QRegion &area, int dx, int dy) override;
-+
-+    void beginPaint(const QRegion &) override;
-+    void endPaint() override;
-+
-+    static bool createSystemVShmSegment(xcb_connection_t *c, size_t segmentSize = 1,
-+                                        void *shmInfo = nullptr);
-+
-+protected:
-+    virtual void render(xcb_window_t window, const QRegion &region, const QPoint &offset);
-+    virtual void recreateImage(QXcbWindow *win, const QSize &size);
-+
-+    QXcbBackingStoreImage *m_image = nullptr;
-+    QStack<QRegion> m_paintRegions;
-+    QImage m_rgbImage;
-+};
-+
-+class QXcbSystemTrayBackingStore : public QXcbBackingStore
-+{
-+public:
-+    QXcbSystemTrayBackingStore(QWindow *window);
-+    ~QXcbSystemTrayBackingStore();
-+
-+    void beginPaint(const QRegion &) override;
-+
-+protected:
-+    void render(xcb_window_t window, const QRegion &region, const QPoint &offset) override;
-+    void recreateImage(QXcbWindow *win, const QSize &size) override;
-+
-+private:
-+    void initXRenderMode();
-+
-+    xcb_pixmap_t m_xrenderPixmap = XCB_NONE;
-+    xcb_render_picture_t m_xrenderPicture = XCB_NONE;
-+    xcb_render_pictformat_t m_xrenderPictFormat  = XCB_NONE;
-+    xcb_render_picture_t m_windowPicture = XCB_NONE;
-+
-+    bool m_usingXRenderMode = false;
-+    bool m_useGrabbedBackgound = false;
-+    QPixmap m_grabbedBackground;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbclipboard.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbclipboard.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbclipboard.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbclipboard.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,152 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBCLIPBOARD_H
-+#define QXCBCLIPBOARD_H
-+
-+#include <qpa/qplatformclipboard.h>
-+#include <qxcbobject.h>
-+#include <xcb/xcb.h>
-+#include <xcb/xfixes.h>
-+
-+#include <QtCore/QObject>
-+
-+QT_BEGIN_NAMESPACE
-+
-+#ifndef QT_NO_CLIPBOARD
-+
-+class QXcbConnection;
-+class QXcbScreen;
-+class QXcbClipboard;
-+class QXcbClipboardMime;
-+
-+class QXcbClipboardTransaction : public QObject
-+{
-+    Q_OBJECT
-+public:
-+    QXcbClipboardTransaction(QXcbClipboard *clipboard, xcb_window_t w, xcb_atom_t p,
-+                           QByteArray d, xcb_atom_t t, int f);
-+    ~QXcbClipboardTransaction();
-+
-+    bool updateIncrementalProperty(const xcb_property_notify_event_t *event);
-+
-+protected:
-+    void timerEvent(QTimerEvent *ev) override;
-+
-+private:
-+    QXcbClipboard *m_clipboard;
-+    xcb_window_t m_window;
-+    xcb_atom_t m_property;
-+    QByteArray m_data;
-+    xcb_atom_t m_target;
-+    uint8_t m_format;
-+    uint m_offset = 0;
-+    int m_abortTimerId = 0;
-+};
-+
-+class QXcbClipboard : public QXcbObject, public QPlatformClipboard
-+{
-+public:
-+    QXcbClipboard(QXcbConnection *connection);
-+    ~QXcbClipboard();
-+
-+    QMimeData *mimeData(QClipboard::Mode mode) override;
-+    void setMimeData(QMimeData *data, QClipboard::Mode mode) override;
-+
-+    bool supportsMode(QClipboard::Mode mode) const override;
-+    bool ownsMode(QClipboard::Mode mode) const override;
-+
-+    QXcbScreen *screen() const;
-+
-+    xcb_window_t requestor() const;
-+    void setRequestor(xcb_window_t window);
-+
-+    xcb_window_t owner() const;
-+
-+    void handleSelectionRequest(xcb_selection_request_event_t *event);
-+    void handleSelectionClearRequest(xcb_selection_clear_event_t *event);
-+    void handleXFixesSelectionRequest(xcb_xfixes_selection_notify_event_t *event);
-+
-+    bool clipboardReadProperty(xcb_window_t win, xcb_atom_t property, bool deleteProperty, QByteArray *buffer, int *size, xcb_atom_t *type, int *format);
-+    QByteArray clipboardReadIncrementalProperty(xcb_window_t win, xcb_atom_t property, int nbytes, bool nullterm);
-+
-+    QByteArray getDataInFormat(xcb_atom_t modeAtom, xcb_atom_t fmtatom);
-+
-+    bool handlePropertyNotify(const xcb_generic_event_t *event);
-+
-+    xcb_window_t getSelectionOwner(xcb_atom_t atom) const;
-+    QByteArray getSelection(xcb_atom_t selection, xcb_atom_t target, xcb_atom_t property, xcb_timestamp_t t = 0);
-+
-+    int increment() const { return m_maxPropertyRequestDataBytes; }
-+    int clipboardTimeout() const { return clipboard_timeout; }
-+
-+    void removeTransaction(xcb_window_t window) { m_transactions.remove(window); }
-+
-+private:
-+    xcb_generic_event_t *waitForClipboardEvent(xcb_window_t window, int type, bool checkManager = false);
-+
-+    xcb_atom_t sendTargetsSelection(QMimeData *d, xcb_window_t window, xcb_atom_t property);
-+    xcb_atom_t sendSelection(QMimeData *d, xcb_atom_t target, xcb_window_t window, xcb_atom_t property);
-+
-+    xcb_atom_t atomForMode(QClipboard::Mode mode) const;
-+    QClipboard::Mode modeForAtom(xcb_atom_t atom) const;
-+
-+    // Selection and Clipboard
-+    QScopedPointer<QXcbClipboardMime> m_xClipboard[2];
-+    QMimeData *m_clientClipboard[2];
-+    xcb_timestamp_t m_timestamp[2];
-+
-+    xcb_window_t m_requestor = XCB_NONE;
-+    xcb_window_t m_owner = XCB_NONE;
-+
-+    static const int clipboard_timeout;
-+
-+    int m_maxPropertyRequestDataBytes = 0;
-+    bool m_clipboard_closing = false;
-+    xcb_timestamp_t m_incr_receive_time = 0;
-+
-+    using TransactionMap = QMap<xcb_window_t, QXcbClipboardTransaction *>;
-+    TransactionMap m_transactions;
-+};
-+
-+#endif // QT_NO_CLIPBOARD
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBCLIPBOARD_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,417 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBCONNECTION_H
-+#define QXCBCONNECTION_H
-+
-+#include <xcb/xcb.h>
-+#include <xcb/randr.h>
-+
-+#include <QtCore/QTimer>
-+#include <QtGui/private/qtguiglobal_p.h>
-+#include "qxcbexport.h"
-+#include <QHash>
-+#include <QList>
-+#include <QVector>
-+#include <qpa/qwindowsysteminterface.h>
-+#include <QtCore/QLoggingCategory>
-+#include <QtCore/private/qglobal_p.h>
-+
-+#include "qxcbeventqueue.h"
-+#include "qxcbconnection_basic.h"
-+
-+#if QT_CONFIG(tabletevent)
-+#include <QTabletEvent>
-+#endif
-+
-+QT_BEGIN_NAMESPACE
-+
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaXInput)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaXInputDevices)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaXInputEvents)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaScreen)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaEvents)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaPeeker)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaKeyboard)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaClipboard)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaXDnd)
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaEventReader)
-+
-+class QXcbVirtualDesktop;
-+class QXcbScreen;
-+class QXcbWindow;
-+class QXcbDrag;
-+class QXcbKeyboard;
-+class QXcbClipboard;
-+class QXcbWMSupport;
-+class QXcbNativeInterface;
-+class QXcbSystemTrayTracker;
-+class QXcbGlIntegration;
-+
-+class QXcbWindowEventListener
-+{
-+public:
-+    virtual ~QXcbWindowEventListener() {}
-+    virtual bool handleNativeEvent(xcb_generic_event_t *) { return false; }
-+
-+    virtual void handleExposeEvent(const xcb_expose_event_t *) {}
-+    virtual void handleClientMessageEvent(const xcb_client_message_event_t *) {}
-+    virtual void handleConfigureNotifyEvent(const xcb_configure_notify_event_t *) {}
-+    virtual void handleMapNotifyEvent(const xcb_map_notify_event_t *) {}
-+    virtual void handleUnmapNotifyEvent(const xcb_unmap_notify_event_t *) {}
-+    virtual void handleDestroyNotifyEvent(const xcb_destroy_notify_event_t *) {}
-+    virtual void handleButtonPressEvent(const xcb_button_press_event_t *) {}
-+    virtual void handleButtonReleaseEvent(const xcb_button_release_event_t *) {}
-+    virtual void handleMotionNotifyEvent(const xcb_motion_notify_event_t *) {}
-+    virtual void handleEnterNotifyEvent(const xcb_enter_notify_event_t *) {}
-+    virtual void handleLeaveNotifyEvent(const xcb_leave_notify_event_t *) {}
-+    virtual void handleFocusInEvent(const xcb_focus_in_event_t *) {}
-+    virtual void handleFocusOutEvent(const xcb_focus_out_event_t *) {}
-+    virtual void handlePropertyNotifyEvent(const xcb_property_notify_event_t *) {}
-+#if QT_CONFIG(xcb_xinput)
-+    virtual void handleXIMouseEvent(xcb_ge_event_t *, Qt::MouseEventSource = Qt::MouseEventNotSynthesized) {}
-+    virtual void handleXIEnterLeave(xcb_ge_event_t *) {}
-+#endif
-+    virtual QXcbWindow *toWindow() { return 0; }
-+};
-+
-+typedef QHash<xcb_window_t, QXcbWindowEventListener *> WindowMapper;
-+
-+class QXcbSyncWindowRequest : public QEvent
-+{
-+public:
-+    QXcbSyncWindowRequest(QXcbWindow *w) : QEvent(QEvent::Type(QEvent::User + 1)), m_window(w) { }
-+
-+    QXcbWindow *window() const { return m_window; }
-+    void invalidate();
-+
-+private:
-+    QXcbWindow *m_window;
-+};
-+
-+class Q_XCB_EXPORT QXcbConnection : public QXcbBasicConnection
-+{
-+    Q_OBJECT
-+public:
-+    QXcbConnection(QXcbNativeInterface *nativeInterface, bool canGrabServer, xcb_visualid_t defaultVisualId, const char *displayName = 0);
-+    ~QXcbConnection();
-+
-+    QXcbConnection *connection() const { return const_cast<QXcbConnection *>(this); }
-+    QXcbEventQueue *eventQueue() const { return m_eventQueue; }
-+
-+    const QList<QXcbVirtualDesktop *> &virtualDesktops() const { return m_virtualDesktops; }
-+    const QList<QXcbScreen *> &screens() const { return m_screens; }
-+    QXcbVirtualDesktop *primaryVirtualDesktop() const {
-+        return m_virtualDesktops.value(primaryScreenNumber());
-+    }
-+    QXcbScreen *primaryScreen() const;
-+
-+    const xcb_format_t *formatForDepth(uint8_t depth) const;
-+
-+    bool imageNeedsEndianSwap() const
-+    {
-+        if (!hasShm())
-+            return false; // The non-Shm path does its own swapping
-+#if Q_BYTE_ORDER == Q_BIG_ENDIAN
-+        return setup()->image_byte_order != XCB_IMAGE_ORDER_MSB_FIRST;
-+#else
-+        return setup()->image_byte_order != XCB_IMAGE_ORDER_LSB_FIRST;
-+#endif
-+    }
-+
-+    QXcbKeyboard *keyboard() const { return m_keyboard; }
-+
-+#ifndef QT_NO_CLIPBOARD
-+    QXcbClipboard *clipboard() const { return m_clipboard; }
-+#endif
-+#if QT_CONFIG(draganddrop)
-+    QXcbDrag *drag() const { return m_drag; }
-+#endif
-+
-+    QXcbWMSupport *wmSupport() const { return m_wmSupport.data(); }
-+    xcb_window_t rootWindow();
-+    xcb_window_t clientLeader();
-+
-+    bool hasDefaultVisualId() const { return m_defaultVisualId != UINT_MAX; }
-+    xcb_visualid_t defaultVisualId() const { return m_defaultVisualId; }
-+
-+    void sync();
-+
-+    void handleXcbError(xcb_generic_error_t *error);
-+    void printXcbError(const char *message, xcb_generic_error_t *error);
-+    void handleXcbEvent(xcb_generic_event_t *event);
-+    void printXcbEvent(const QLoggingCategory &log, const char *message,
-+                       xcb_generic_event_t *event) const;
-+
-+    void addWindowEventListener(xcb_window_t id, QXcbWindowEventListener *eventListener);
-+    void removeWindowEventListener(xcb_window_t id);
-+    QXcbWindowEventListener *windowEventListenerFromId(xcb_window_t id);
-+    QXcbWindow *platformWindowFromId(xcb_window_t id);
-+
-+    inline xcb_timestamp_t time() const { return m_time; }
-+    inline void setTime(xcb_timestamp_t t) { if (timeGreaterThan(t, m_time)) m_time = t; }
-+
-+    inline xcb_timestamp_t netWmUserTime() const { return m_netWmUserTime; }
-+    inline void setNetWmUserTime(xcb_timestamp_t t) { if (timeGreaterThan(t, m_netWmUserTime)) m_netWmUserTime = t; }
-+
-+    xcb_timestamp_t getTimestamp();
-+    xcb_window_t getSelectionOwner(xcb_atom_t atom) const;
-+    xcb_window_t getQtSelectionOwner();
-+
-+    void setButtonState(Qt::MouseButton button, bool down);
-+    Qt::MouseButtons buttonState() const { return m_buttonState; }
-+    Qt::MouseButton button() const { return m_button; }
-+    Qt::MouseButton translateMouseButton(xcb_button_t s);
-+
-+    QXcbWindow *focusWindow() const { return m_focusWindow; }
-+    void setFocusWindow(QWindow *);
-+    QXcbWindow *mouseGrabber() const { return m_mouseGrabber; }
-+    void setMouseGrabber(QXcbWindow *);
-+    QXcbWindow *mousePressWindow() const { return m_mousePressWindow; }
-+    void setMousePressWindow(QXcbWindow *);
-+
-+    QByteArray startupId() const { return m_startupId; }
-+    void setStartupId(const QByteArray &nextId) { m_startupId = nextId; }
-+    void clearStartupId() { m_startupId.clear(); }
-+
-+    void grabServer();
-+    void ungrabServer();
-+
-+    bool isUnity() const { return m_xdgCurrentDesktop == "unity"; }
-+    bool isGnome() const { return m_xdgCurrentDesktop == "gnome"; }
-+
-+    QXcbNativeInterface *nativeInterface() const { return m_nativeInterface; }
-+
-+    QXcbSystemTrayTracker *systemTrayTracker() const;
-+
-+    Qt::MouseButtons queryMouseButtons() const;
-+    Qt::KeyboardModifiers queryKeyboardModifiers() const;
-+
-+    bool isUserInputEvent(xcb_generic_event_t *event) const;
-+
-+#if QT_CONFIG(xcb_xinput)
-+    void xi2SelectStateEvents();
-+    void xi2SelectDeviceEvents(xcb_window_t window);
-+    void xi2SelectDeviceEventsCompatibility(xcb_window_t window);
-+    bool xi2SetMouseGrabEnabled(xcb_window_t w, bool grab);
-+    bool xi2MouseEventsDisabled() const;
-+    Qt::MouseButton xiToQtMouseButton(uint32_t b);
-+    void xi2UpdateScrollingDevices();
-+    bool startSystemMoveResizeForTouchBegin(xcb_window_t window, const QPoint &point, int corner);
-+    void abortSystemMoveResizeForTouch();
-+    bool isTouchScreen(int id);
-+#endif
-+
-+    bool canGrab() const { return m_canGrabServer; }
-+
-+    QXcbGlIntegration *glIntegration() const;
-+
-+    void flush() { xcb_flush(xcb_connection()); }
-+    void processXcbEvents(QEventLoop::ProcessEventsFlags flags);
-+
-+    QTimer &focusInTimer() { return m_focusInTimer; }
-+
-+protected:
-+    bool event(QEvent *e) override;
-+
-+private:
-+    void xrandrSelectEvents();
-+    QXcbScreen* findScreenForCrtc(xcb_window_t rootWindow, xcb_randr_crtc_t crtc) const;
-+    QXcbScreen* findScreenForOutput(xcb_window_t rootWindow, xcb_randr_output_t output) const;
-+    QXcbVirtualDesktop* virtualDesktopForRootWindow(xcb_window_t rootWindow) const;
-+    void updateScreens(const xcb_randr_notify_event_t *event);
-+    bool checkOutputIsPrimary(xcb_window_t rootWindow, xcb_randr_output_t output);
-+    void updateScreen(QXcbScreen *screen, const xcb_randr_output_change_t &outputChange);
-+    QXcbScreen *createScreen(QXcbVirtualDesktop *virtualDesktop,
-+                             const xcb_randr_output_change_t &outputChange,
-+                             xcb_randr_get_output_info_reply_t *outputInfo);
-+    void destroyScreen(QXcbScreen *screen);
-+    void initializeScreens();
-+    bool compressEvent(xcb_generic_event_t *event) const;
-+    inline bool timeGreaterThan(xcb_timestamp_t a, xcb_timestamp_t b) const
-+    { return static_cast<int32_t>(a - b) > 0 || b == XCB_CURRENT_TIME; }
-+
-+#if QT_CONFIG(xcb_xinput)
-+    void xi2SetupDevice(void *info, bool removeExisting = true);
-+    void xi2SetupDevices();
-+    struct TouchDeviceData {
-+        QTouchDevice *qtTouchDevice = nullptr;
-+        QHash<int, QWindowSystemInterface::TouchPoint> touchPoints;
-+        QHash<int, QPointF> pointPressedPosition; // in screen coordinates where each point was pressed
-+        struct ValuatorClassInfo {
-+            double min = 0;
-+            double max = 0;
-+            int number = -1;
-+            QXcbAtom::Atom label;
-+        };
-+        QVector<ValuatorClassInfo> valuatorInfo;
-+
-+        // Stuff that is relevant only for touchpads
-+        QPointF firstPressedPosition;        // in screen coordinates where the first point was pressed
-+        QPointF firstPressedNormalPosition;  // device coordinates (0 to 1, 0 to 1) where the first point was pressed
-+        QSizeF size;                         // device size in mm
-+        bool providesTouchOrientation = false;
-+    };
-+    TouchDeviceData *populateTouchDevices(void *info);
-+    TouchDeviceData *touchDeviceForId(int id);
-+    void xi2HandleEvent(xcb_ge_event_t *event);
-+    void xi2HandleHierarchyEvent(void *event);
-+    void xi2HandleDeviceChangedEvent(void *event);
-+    void xi2ProcessTouch(void *xiDevEvent, QXcbWindow *platformWindow);
-+#if QT_CONFIG(tabletevent)
-+    struct TabletData {
-+        int deviceId = 0;
-+        QTabletEvent::PointerType pointerType = QTabletEvent::UnknownPointer;
-+        QTabletEvent::TabletDevice tool = QTabletEvent::Stylus;
-+        Qt::MouseButtons buttons = 0;
-+        qint64 serialId = 0;
-+        bool inProximity = false;
-+        struct ValuatorClassInfo {
-+            double minVal = 0;
-+            double maxVal = 0;
-+            double curVal = 0;
-+            int number = -1;
-+        };
-+        QHash<int, ValuatorClassInfo> valuatorInfo;
-+    };
-+    friend class QTypeInfo<TabletData>;
-+    friend class QTypeInfo<TabletData::ValuatorClassInfo>;
-+    bool xi2HandleTabletEvent(const void *event, TabletData *tabletData);
-+    void xi2ReportTabletEvent(const void *event, TabletData *tabletData);
-+    QVector<TabletData> m_tabletData;
-+    TabletData *tabletDataForDevice(int id);
-+#endif // QT_CONFIG(tabletevent)
-+    struct ScrollingDevice {
-+        int deviceId = 0;
-+        int verticalIndex = 0;
-+        int horizontalIndex = 0;
-+        double verticalIncrement = 0;
-+        double horizontalIncrement = 0;
-+        Qt::Orientations orientations = 0;
-+        Qt::Orientations legacyOrientations = 0;
-+        QPointF lastScrollPosition;
-+    };
-+    QHash<int, ScrollingDevice> m_scrollingDevices;
-+    void xi2HandleScrollEvent(void *event, ScrollingDevice &scrollingDevice);
-+    void xi2UpdateScrollingDevice(ScrollingDevice &scrollingDevice);
-+    ScrollingDevice *scrollingDeviceForId(int id);
-+
-+    static bool xi2GetValuatorValueIfSet(const void *event, int valuatorNum, double *value);
-+
-+    QHash<int, TouchDeviceData> m_touchDevices;
-+    struct StartSystemMoveResizeInfo {
-+        xcb_window_t window = XCB_NONE;
-+        uint16_t deviceid;
-+        uint32_t pointid;
-+        int corner;
-+    } m_startSystemMoveResizeInfo;
-+#endif // QT_CONFIG(xcb_xinput)
-+
-+    const bool m_canGrabServer;
-+    const xcb_visualid_t m_defaultVisualId;
-+
-+    QList<QXcbVirtualDesktop *> m_virtualDesktops;
-+    QList<QXcbScreen *> m_screens;
-+
-+    xcb_timestamp_t m_time = XCB_CURRENT_TIME;
-+    xcb_timestamp_t m_netWmUserTime = XCB_CURRENT_TIME;
-+
-+    QXcbKeyboard *m_keyboard = nullptr;
-+#ifndef QT_NO_CLIPBOARD
-+    QXcbClipboard *m_clipboard = nullptr;
-+#endif
-+#if QT_CONFIG(draganddrop)
-+    QXcbDrag *m_drag = nullptr;
-+#endif
-+    QScopedPointer<QXcbWMSupport> m_wmSupport;
-+    QXcbNativeInterface *m_nativeInterface = nullptr;
-+
-+    QXcbEventQueue *m_eventQueue = nullptr;
-+
-+    WindowMapper m_mapper;
-+
-+    Qt::MouseButtons m_buttonState = 0;
-+    Qt::MouseButton m_button = Qt::NoButton;
-+
-+    QXcbWindow *m_focusWindow = nullptr;
-+    QXcbWindow *m_mouseGrabber = nullptr;
-+    QXcbWindow *m_mousePressWindow = nullptr;
-+
-+    xcb_window_t m_clientLeader = 0;
-+    QByteArray m_startupId;
-+    QXcbSystemTrayTracker *m_systemTrayTracker = nullptr;
-+    mutable QXcbGlIntegration *m_glIntegration = nullptr;
-+    mutable bool m_glIntegrationInitialized = false;
-+    bool m_xiGrab = false;
-+    QVector<int> m_xiMasterPointerIds;
-+
-+    xcb_window_t m_qtSelectionOwner = 0;
-+
-+    friend class QXcbEventQueue;
-+
-+    QByteArray m_xdgCurrentDesktop;
-+    QTimer m_focusInTimer;
-+
-+};
-+#if QT_CONFIG(xcb_xinput)
-+#if QT_CONFIG(tabletevent)
-+Q_DECLARE_TYPEINFO(QXcbConnection::TabletData::ValuatorClassInfo, Q_PRIMITIVE_TYPE);
-+Q_DECLARE_TYPEINFO(QXcbConnection::TabletData, Q_MOVABLE_TYPE);
-+#endif
-+#endif
-+
-+class QXcbConnectionGrabber
-+{
-+public:
-+    QXcbConnectionGrabber(QXcbConnection *connection);
-+    ~QXcbConnectionGrabber();
-+    void release();
-+private:
-+    QXcbConnection *m_connection;
-+};
-+
-+// The xcb_send_event() requires all events to have 32 bytes. It calls memcpy() on the
-+// passed in event. If the passed in event is less than 32 bytes, memcpy() reaches into
-+// unrelated memory.
-+template <typename T>
-+struct alignas(32) q_padded_xcb_event : T { };
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection_basic.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection_basic.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection_basic.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbconnection_basic.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,181 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2018 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the QtCore module of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+#ifndef QXCBBASICCONNECTION_H
-+#define QXCBBASICCONNECTION_H
-+
-+#include "qxcbatom.h"
-+#include "qxcbexport.h"
-+
-+#include <QtCore/QPair>
-+#include <QtCore/QObject>
-+#include <QtCore/QByteArray>
-+#include <QtCore/QLoggingCategory>
-+#include <QtGui/private/qtguiglobal_p.h>
-+
-+#include <xcb/xcb.h>
-+
-+#include <memory>
-+
-+QT_BEGIN_NAMESPACE
-+
-+Q_DECLARE_LOGGING_CATEGORY(lcQpaXcb)
-+
-+class Q_XCB_EXPORT QXcbBasicConnection : public QObject
-+{
-+    Q_OBJECT
-+public:
-+    QXcbBasicConnection(const char *displayName);
-+    ~QXcbBasicConnection();
-+
-+#if QT_CONFIG(xcb_xlib)
-+    void *xlib_display() const { return m_xlibDisplay; }
-+#endif
-+    const char *displayName() const { return m_displayName.constData(); }
-+    int primaryScreenNumber() const { return m_primaryScreenNumber; }
-+    xcb_connection_t *xcb_connection() const { return m_xcbConnection; }
-+    bool isConnected() const {
-+        return m_xcbConnection && !xcb_connection_has_error(m_xcbConnection);
-+    }
-+    const xcb_setup_t *setup() const { return m_setup; }
-+
-+    size_t maxRequestDataBytes(size_t requestSize) const;
-+
-+    inline xcb_atom_t atom(QXcbAtom::Atom qatom) const { return m_xcbAtom.atom(qatom); }
-+    QXcbAtom::Atom qatom(xcb_atom_t atom) const { return m_xcbAtom.qatom(atom); }
-+    xcb_atom_t internAtom(const char *name);
-+    QByteArray atomName(xcb_atom_t atom);
-+
-+    bool hasXFixes() const { return m_hasXFixes; }
-+    bool hasXShape() const { return m_hasXhape; }
-+    bool hasXRandr() const { return m_hasXRandr; }
-+    bool hasInputShape() const { return m_hasInputShape; }
-+    bool hasXKB() const { return m_hasXkb; }
-+    bool hasXRender(int major = -1, int minor = -1) const {
-+        if (m_hasXRender && major != -1 && minor != -1)
-+            return m_xrenderVersion >= qMakePair(major, minor);
-+
-+        return m_hasXRender;
-+    }
-+    bool hasXInput2() const { return m_xi2Enabled; }
-+    bool hasShm() const { return m_hasShm; }
-+    bool hasShmFd() const { return m_hasShmFd; }
-+    bool hasXSync() const { return m_hasXSync; }
-+    bool hasXinerama() const { return m_hasXinerama; }
-+    bool hasBigRequest() const;
-+
-+#if QT_CONFIG(xcb_xinput)
-+    bool isAtLeastXI21() const { return m_xi2Enabled && m_xi2Minor >= 1; }
-+    bool isAtLeastXI22() const { return m_xi2Enabled && m_xi2Minor >= 2; }
-+    bool isXIEvent(xcb_generic_event_t *event) const;
-+    bool isXIType(xcb_generic_event_t *event, uint16_t type) const;
-+#endif
-+
-+    bool isXFixesType(uint responseType, int eventType) const;
-+    bool isXRandrType(uint responseType, int eventType) const;
-+    bool isXkbType(uint responseType) const; // https://bugs.freedesktop.org/show_bug.cgi?id=51295
-+
-+protected:
-+    void initializeShm();
-+    void initializeXFixes();
-+    void initializeXRender();
-+    void initializeXRandr();
-+    void initializeXinerama();
-+    void initializeXShape();
-+    void initializeXKB();
-+    void initializeXSync();
-+#if QT_CONFIG(xcb_xinput)
-+    void initializeXInput2();
-+#endif
-+
-+private:
-+#if QT_CONFIG(xcb_xlib)
-+    void *m_xlibDisplay = nullptr;
-+#endif
-+    QByteArray m_displayName;
-+    xcb_connection_t *m_xcbConnection = nullptr;
-+    int m_primaryScreenNumber = 0;
-+    const xcb_setup_t *m_setup = nullptr;
-+    QXcbAtom m_xcbAtom;
-+
-+    bool m_hasXFixes = false;
-+    bool m_hasXinerama = false;
-+    bool m_hasXhape = false;
-+    bool m_hasInputShape;
-+    bool m_hasXRandr = false;
-+    bool m_hasXkb = false;
-+    bool m_hasXRender = false;
-+    bool m_hasShm = false;
-+    bool m_hasShmFd = false;
-+    bool m_hasXSync = false;
-+
-+    QPair<int, int> m_xrenderVersion;
-+
-+    bool m_xi2Enabled = false;
-+#if QT_CONFIG(xcb_xinput)
-+    int m_xi2Minor = -1;
-+    int m_xiOpCode = -1;
-+    uint32_t m_xinputFirstEvent = 0;
-+#endif
-+
-+    uint32_t m_xfixesFirstEvent = 0;
-+    uint32_t m_xrandrFirstEvent = 0;
-+    uint32_t m_xkbFirstEvent = 0;
-+
-+    uint32_t m_maximumRequestLength = 0;
-+};
-+
-+#define Q_XCB_REPLY_CONNECTION_ARG(connection, ...) connection
-+
-+struct QStdFreeDeleter {
-+    void operator()(void *p) const Q_DECL_NOTHROW { return std::free(p); }
-+};
-+
-+#define Q_XCB_REPLY(call, ...) \
-+    std::unique_ptr<call##_reply_t, QStdFreeDeleter>( \
-+        call##_reply(Q_XCB_REPLY_CONNECTION_ARG(__VA_ARGS__), call(__VA_ARGS__), nullptr) \
-+    )
-+
-+#define Q_XCB_REPLY_UNCHECKED(call, ...) \
-+    std::unique_ptr<call##_reply_t, QStdFreeDeleter>( \
-+        call##_reply(Q_XCB_REPLY_CONNECTION_ARG(__VA_ARGS__), call##_unchecked(__VA_ARGS__), nullptr) \
-+    )
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBBASICCONNECTION_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbcursor.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbcursor.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbcursor.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbcursor.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,129 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBCURSOR_H
-+#define QXCBCURSOR_H
-+
-+#include <qpa/qplatformcursor.h>
-+#include "qxcbscreen.h"
-+
-+#include <QtCore/QCache>
-+
-+QT_BEGIN_NAMESPACE
-+
-+#ifndef QT_NO_CURSOR
-+
-+struct QXcbCursorCacheKey
-+{
-+    explicit QXcbCursorCacheKey(const QCursor &c);
-+    explicit QXcbCursorCacheKey(Qt::CursorShape s) : shape(s), bitmapCacheKey(0), maskCacheKey(0) {}
-+    QXcbCursorCacheKey() : shape(Qt::CustomCursor), bitmapCacheKey(0), maskCacheKey(0) {}
-+
-+    Qt::CursorShape shape;
-+    qint64 bitmapCacheKey;
-+    qint64 maskCacheKey;
-+};
-+
-+inline bool operator==(const QXcbCursorCacheKey &k1, const QXcbCursorCacheKey &k2)
-+{
-+    return k1.shape == k2.shape && k1.bitmapCacheKey == k2.bitmapCacheKey && k1.maskCacheKey == k2.maskCacheKey;
-+}
-+
-+inline uint qHash(const QXcbCursorCacheKey &k, uint seed) Q_DECL_NOTHROW
-+{
-+    return (uint(k.shape) + uint(k.bitmapCacheKey) + uint(k.maskCacheKey)) ^ seed;
-+}
-+
-+#endif // !QT_NO_CURSOR
-+
-+class QXcbCursor : public QXcbObject, public QPlatformCursor
-+{
-+public:
-+    QXcbCursor(QXcbConnection *conn, QXcbScreen *screen);
-+    ~QXcbCursor();
-+#ifndef QT_NO_CURSOR
-+    void changeCursor(QCursor *cursor, QWindow *window) override;
-+#endif
-+    QPoint pos() const override;
-+    void setPos(const QPoint &pos) override;
-+
-+    static void queryPointer(QXcbConnection *c, QXcbVirtualDesktop **virtualDesktop, QPoint *pos, int *keybMask = 0);
-+
-+#ifndef QT_NO_CURSOR
-+    xcb_cursor_t xcbCursor(const QCursor &c) const
-+        { return m_cursorHash.value(QXcbCursorCacheKey(c), xcb_cursor_t(0)); }
-+#endif
-+
-+private:
-+
-+#ifndef QT_NO_CURSOR
-+    typedef QHash<QXcbCursorCacheKey, xcb_cursor_t> CursorHash;
-+
-+    struct CachedCursor
-+    {
-+        explicit CachedCursor(xcb_connection_t *conn, xcb_cursor_t c)
-+            : cursor(c), connection(conn) {}
-+        ~CachedCursor() { xcb_free_cursor(connection, cursor); }
-+        xcb_cursor_t cursor;
-+        xcb_connection_t *connection;
-+    };
-+    typedef QCache<QXcbCursorCacheKey, CachedCursor> BitmapCursorCache;
-+
-+    xcb_cursor_t createFontCursor(int cshape);
-+    xcb_cursor_t createBitmapCursor(QCursor *cursor);
-+    xcb_cursor_t createNonStandardCursor(int cshape);
-+#endif
-+
-+    QXcbScreen *m_screen;
-+#ifndef QT_NO_CURSOR
-+    CursorHash m_cursorHash;
-+    BitmapCursorCache m_bitmapCache;
-+#endif
-+#if QT_CONFIG(xcb_xlib) && QT_CONFIG(library)
-+    static void cursorThemePropertyChanged(QXcbVirtualDesktop *screen,
-+                                           const QByteArray &name,
-+                                           const QVariant &property,
-+                                           void *handle);
-+#endif
-+    bool m_gtkCursorThemeInitialized;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbdrag.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbdrag.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbdrag.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbdrag.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,185 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the QtGui module of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBDRAG_H
-+#define QXCBDRAG_H
-+
-+#include <qpa/qplatformdrag.h>
-+#include <private/qsimpledrag_p.h>
-+#include <qxcbobject.h>
-+#include <xcb/xcb.h>
-+#include <qpoint.h>
-+#include <qrect.h>
-+#include <qsharedpointer.h>
-+#include <qpointer.h>
-+#include <qvector.h>
-+#include <qdatetime.h>
-+#include <qpixmap.h>
-+#include <qbackingstore.h>
-+
-+#include <QtCore/QDebug>
-+
-+QT_REQUIRE_CONFIG(draganddrop);
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QWindow;
-+class QPlatformWindow;
-+class QXcbConnection;
-+class QXcbWindow;
-+class QXcbDropData;
-+class QXcbScreen;
-+class QDrag;
-+class QShapedPixmapWindow;
-+
-+class QXcbDrag : public QXcbObject, public QBasicDrag
-+{
-+public:
-+    QXcbDrag(QXcbConnection *c);
-+    ~QXcbDrag();
-+
-+    bool eventFilter(QObject *o, QEvent *e) override;
-+
-+    void startDrag() override;
-+    void cancel() override;
-+    void move(const QPoint &globalPos, Qt::MouseButtons b, Qt::KeyboardModifiers mods) override;
-+    void drop(const QPoint &globalPos, Qt::MouseButtons b, Qt::KeyboardModifiers mods) override;
-+    void endDrag() override;
-+
-+    void handleEnter(QPlatformWindow *window, const xcb_client_message_event_t *event, xcb_window_t proxy = 0);
-+    void handlePosition(QPlatformWindow *w, const xcb_client_message_event_t *event);
-+    void handleLeave(QPlatformWindow *w, const xcb_client_message_event_t *event);
-+    void handleDrop(QPlatformWindow *, const xcb_client_message_event_t *event,
-+                    Qt::MouseButtons b = 0, Qt::KeyboardModifiers mods = 0);
-+
-+    void handleStatus(const xcb_client_message_event_t *event);
-+    void handleSelectionRequest(const xcb_selection_request_event_t *event);
-+    void handleFinished(const xcb_client_message_event_t *event);
-+
-+    bool dndEnable(QXcbWindow *win, bool on);
-+    bool ownsDragObject() const override;
-+
-+    void updatePixmap();
-+    xcb_timestamp_t targetTime() { return target_time; }
-+
-+protected:
-+    void timerEvent(QTimerEvent* e) override;
-+
-+    bool findXdndAwareTarget(const QPoint &globalPos, xcb_window_t *target_out);
-+
-+private:
-+    friend class QXcbDropData;
-+
-+    void init();
-+
-+    void handle_xdnd_position(QPlatformWindow *w, const xcb_client_message_event_t *event,
-+                              Qt::MouseButtons b = 0, Qt::KeyboardModifiers mods = 0);
-+    void handle_xdnd_status(const xcb_client_message_event_t *event);
-+    void send_leave();
-+
-+    Qt::DropAction toDropAction(xcb_atom_t atom) const;
-+    xcb_atom_t toXdndAction(Qt::DropAction a) const;
-+
-+    QPointer<QWindow> initiatorWindow;
-+    QPointer<QWindow> currentWindow;
-+    QPoint currentPosition;
-+
-+    QXcbDropData *m_dropData;
-+    Qt::DropAction accepted_drop_action;
-+
-+    QWindow *desktop_proxy;
-+
-+    xcb_atom_t xdnd_dragsource;
-+
-+    // the types in this drop. 100 is no good, but at least it's big.
-+    enum { xdnd_max_type = 100 };
-+    QVector<xcb_atom_t> xdnd_types;
-+
-+    // timestamp from XdndPosition and XdndDroptime for retrieving the data
-+    xcb_timestamp_t target_time;
-+    xcb_timestamp_t source_time;
-+
-+    // rectangle in which the answer will be the same
-+    QRect source_sameanswer;
-+    bool waiting_for_status;
-+
-+    // helpers for setting executed drop action outside application
-+    bool dropped;
-+    bool canceled;
-+
-+    // A window from Unity DnD Manager, which does not respect the XDnD spec
-+    xcb_window_t xdndCollectionWindow = XCB_NONE;
-+
-+    // top-level window we sent position to last.
-+    xcb_window_t current_target;
-+    // window to send events to (always valid if current_target)
-+    xcb_window_t current_proxy_target;
-+
-+    QXcbVirtualDesktop *current_virtual_desktop;
-+
-+    // 10 minute timer used to discard old XdndDrop transactions
-+    enum { XdndDropTransactionTimeout = 600000 };
-+    int cleanup_timer;
-+
-+    QVector<xcb_atom_t> drag_types;
-+
-+    struct Transaction
-+    {
-+        xcb_timestamp_t timestamp;
-+        xcb_window_t target;
-+        xcb_window_t proxy_target;
-+        QPlatformWindow *targetWindow;
-+//        QWidget *embedding_widget;
-+        QPointer<QDrag> drag;
-+        QTime time;
-+    };
-+    friend class QTypeInfo<Transaction>;
-+    QVector<Transaction> transactions;
-+
-+    int transaction_expiry_timer;
-+    void restartDropExpiryTimer();
-+    int findTransactionByWindow(xcb_window_t window);
-+    int findTransactionByTime(xcb_timestamp_t timestamp);
-+    xcb_window_t findRealWindow(const QPoint & pos, xcb_window_t w, int md, bool ignoreNonXdndAwareWindows);
-+};
-+Q_DECLARE_TYPEINFO(QXcbDrag::Transaction, Q_MOVABLE_TYPE);
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventdispatcher.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventdispatcher.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventdispatcher.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventdispatcher.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,114 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2018 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the QtCore module of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+#ifndef QXCBEVENTDISPATCHER_H
-+#define QXCBEVENTDISPATCHER_H
-+
-+#include <QtCore/QObject>
-+#include <QtCore/QEventLoop>
-+
-+#include <QtCore/private/qeventdispatcher_unix_p.h>
-+#if QT_CONFIG(glib)
-+#include <QtCore/private/qeventdispatcher_glib_p.h>
-+#include <glib.h>
-+#endif
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbConnection;
-+
-+class QXcbUnixEventDispatcher : public QEventDispatcherUNIX
-+{
-+    Q_OBJECT
-+public:
-+    explicit QXcbUnixEventDispatcher(QXcbConnection *connection, QObject *parent = nullptr);
-+    ~QXcbUnixEventDispatcher();
-+    bool processEvents(QEventLoop::ProcessEventsFlags flags) override;
-+
-+    // Maybe some user code depends on deprecated QUnixEventDispatcherQPA::
-+    // hasPendingEvents() / flush() implementation, so keep it around until
-+    // Qt 6. These methods are deprecated in QAbstractEventDispatcher.
-+    bool hasPendingEvents() override; // ### Qt 6 remove
-+    void flush() override;            // ### Qt 6 remove
-+
-+private:
-+    QXcbConnection *m_connection;
-+};
-+
-+#if QT_CONFIG(glib)
-+
-+struct XcbEventSource;
-+class QXcbGlibEventDispatcherPrivate;
-+
-+class QXcbGlibEventDispatcher : public QEventDispatcherGlib
-+{
-+    Q_OBJECT
-+    Q_DECLARE_PRIVATE(QXcbGlibEventDispatcher)
-+
-+public:
-+    explicit QXcbGlibEventDispatcher(QXcbConnection *connection, QObject *parent = nullptr);
-+    ~QXcbGlibEventDispatcher();
-+
-+    bool processEvents(QEventLoop::ProcessEventsFlags flags) override;
-+    QEventLoop::ProcessEventsFlags flags() const { return m_flags; }
-+
-+private:
-+    XcbEventSource *m_xcbEventSource;
-+    GSourceFuncs m_xcbEventSourceFuncs;
-+    QEventLoop::ProcessEventsFlags m_flags;
-+};
-+
-+class QXcbGlibEventDispatcherPrivate : public QEventDispatcherGlibPrivate
-+{
-+    Q_DECLARE_PUBLIC(QXcbGlibEventDispatcher)
-+
-+public:
-+    QXcbGlibEventDispatcherPrivate();
-+};
-+
-+#endif // QT_CONFIG(glib)
-+
-+class QXcbEventDispatcher
-+{
-+public:
-+    static QAbstractEventDispatcher *createEventDispatcher(QXcbConnection *connection);
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBEVENTDISPATCHER_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventqueue.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventqueue.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventqueue.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbeventqueue.h	2019-07-12 20:19:55.902986508 +0000
-@@ -0,0 +1,169 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2018 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the QtCore module of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+#ifndef QXCBEVENTQUEUE_H
-+#define QXCBEVENTQUEUE_H
-+
-+#include <QtCore/QThread>
-+#include <QtCore/QHash>
-+#include <QtCore/QEventLoop>
-+#include <QtCore/QVector>
-+#include <QtCore/QMutex>
-+#include <QtCore/QWaitCondition>
-+
-+#include <xcb/xcb.h>
-+
-+#include <atomic>
-+
-+QT_BEGIN_NAMESPACE
-+
-+struct QXcbEventNode {
-+    QXcbEventNode(xcb_generic_event_t *e = nullptr)
-+        : event(e) { }
-+
-+    xcb_generic_event_t *event;
-+    QXcbEventNode *next = nullptr;
-+    bool fromHeap = false;
-+};
-+
-+class QXcbConnection;
-+class QAbstractEventDispatcher;
-+
-+class QXcbEventQueue : public QThread
-+{
-+    Q_OBJECT
-+public:
-+    QXcbEventQueue(QXcbConnection *connection);
-+    ~QXcbEventQueue();
-+
-+    enum { PoolSize = 100 }; // 2.4 kB with 100 nodes
-+
-+    enum PeekOption {
-+        PeekDefault = 0, // see qx11info_x11.h for docs
-+        PeekFromCachedIndex = 1,
-+        PeekRetainMatch = 2,
-+        PeekRemoveMatch = 3,
-+        PeekRemoveMatchContinue = 4
-+    };
-+    Q_DECLARE_FLAGS(PeekOptions, PeekOption)
-+
-+    void run() override;
-+
-+    bool isEmpty() const { return m_head == m_flushedTail && !m_head->event; }
-+    xcb_generic_event_t *takeFirst(QEventLoop::ProcessEventsFlags flags);
-+    xcb_generic_event_t *takeFirst();
-+    void flushBufferedEvents();
-+    void wakeUpDispatcher();
-+
-+    // ### peek() and peekEventQueue() could be unified. Note that peekEventQueue()
-+    // is public API exposed via QX11Extras/QX11Info.
-+    template<typename Peeker>
-+    xcb_generic_event_t *peek(Peeker &&peeker) {
-+        return peek(PeekRemoveMatch, std::forward<Peeker>(peeker));
-+    }
-+    template<typename Peeker>
-+    inline xcb_generic_event_t *peek(PeekOption config, Peeker &&peeker);
-+
-+    qint32 generatePeekerId();
-+    bool removePeekerId(qint32 peekerId);
-+
-+    using PeekerCallback = bool (*)(xcb_generic_event_t *event, void *peekerData);
-+    bool peekEventQueue(PeekerCallback peeker, void *peekerData = nullptr,
-+                        PeekOptions option = PeekDefault, qint32 peekerId = -1);
-+
-+    void waitForNewEvents(unsigned long time = ULONG_MAX);
-+
-+private:
-+    QXcbEventNode *qXcbEventNodeFactory(xcb_generic_event_t *event);
-+    void dequeueNode();
-+
-+    void sendCloseConnectionEvent() const;
-+    bool isCloseConnectionEvent(const xcb_generic_event_t *event);
-+
-+    QXcbEventNode *m_head = nullptr;
-+    QXcbEventNode *m_flushedTail = nullptr;
-+    std::atomic<QXcbEventNode *> m_tail { nullptr };
-+    std::atomic_uint m_nodesRestored { 0 };
-+
-+    QXcbConnection *m_connection = nullptr;
-+    bool m_closeConnectionDetected = false;
-+
-+    uint m_freeNodes = PoolSize;
-+    uint m_poolIndex = 0;
-+
-+    qint32 m_peekerIdSource = 0;
-+    bool m_queueModified = false;
-+    bool m_peekerIndexCacheDirty = false;
-+    QHash<qint32, QXcbEventNode *> m_peekerToNode;
-+
-+    QVector<xcb_generic_event_t *> m_inputEvents;
-+
-+    // debug stats
-+    quint64 m_nodesOnHeap = 0;
-+
-+    QMutex m_newEventsMutex;
-+    QWaitCondition m_newEventsCondition;
-+};
-+
-+template<typename Peeker>
-+xcb_generic_event_t *QXcbEventQueue::peek(PeekOption option, Peeker &&peeker)
-+{
-+    flushBufferedEvents();
-+    if (isEmpty())
-+        return nullptr;
-+
-+    QXcbEventNode *node = m_head;
-+    do {
-+        xcb_generic_event_t *event = node->event;
-+        if (event && peeker(event, event->response_type & ~0x80)) {
-+            if (option == PeekRemoveMatch || option == PeekRemoveMatchContinue)
-+                node->event = nullptr;
-+            if (option != PeekRemoveMatchContinue)
-+                return event;
-+        }
-+        if (node == m_flushedTail)
-+            break;
-+        node = node->next;
-+    } while (true);
-+
-+    return nullptr;
-+}
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbexport.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbexport.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbexport.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbexport.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,55 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBEXPORT_H
-+#define QXCBEXPORT_H
-+
-+#include <QtCore/qglobal.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+#  if defined(QT_BUILD_XCB_PLUGIN)
-+#    define Q_XCB_EXPORT Q_DECL_EXPORT
-+#  else
-+#    define Q_XCB_EXPORT Q_DECL_IMPORT
-+#  endif
-+
-+QT_END_NAMESPACE
-+#endif //QXCBEXPORT_H
-+
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbimage.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbimage.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbimage.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbimage.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,62 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBIMAGE_H
-+#define QXCBIMAGE_H
-+
-+#include "qxcbscreen.h"
-+#include <QtCore/QPair>
-+#include <QtGui/QImage>
-+#include <QtGui/QPixmap>
-+#include <xcb/xcb_image.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+bool qt_xcb_imageFormatForVisual(QXcbConnection *connection, uint8_t depth, const xcb_visualtype_t *visual,
-+                                 QImage::Format *imageFormat, bool *needsRgbSwap = nullptr);
-+QPixmap qt_xcb_pixmapFromXPixmap(QXcbConnection *connection, xcb_pixmap_t pixmap,
-+                                 int width, int height, int depth,
-+                                 const xcb_visualtype_t *visual);
-+xcb_pixmap_t qt_xcb_XPixmapFromBitmap(QXcbScreen *screen, const QImage &image);
-+xcb_cursor_t qt_xcb_createCursorXRender(QXcbScreen *screen, const QImage &image,
-+                                        const QPoint &spot);
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbintegration.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbintegration.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbintegration.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbintegration.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,150 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBINTEGRATION_H
-+#define QXCBINTEGRATION_H
-+
-+#include <QtGui/private/qtguiglobal_p.h>
-+#include <qpa/qplatformintegration.h>
-+#include <qpa/qplatformscreen.h>
-+
-+#include "qxcbexport.h"
-+
-+#include <xcb/xcb.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbConnection;
-+class QAbstractEventDispatcher;
-+class QXcbNativeInterface;
-+
-+class Q_XCB_EXPORT QXcbIntegration : public QPlatformIntegration
-+{
-+public:
-+    QXcbIntegration(const QStringList &parameters, int &argc, char **argv);
-+    ~QXcbIntegration();
-+
-+    QPlatformPixmap *createPlatformPixmap(QPlatformPixmap::PixelType type) const override;
-+    QPlatformWindow *createPlatformWindow(QWindow *window) const override;
-+    QPlatformWindow *createForeignWindow(QWindow *window, WId nativeHandle) const override;
-+#ifndef QT_NO_OPENGL
-+    QPlatformOpenGLContext *createPlatformOpenGLContext(QOpenGLContext *context) const override;
-+#endif
-+    QPlatformBackingStore *createPlatformBackingStore(QWindow *window) const override;
-+
-+    QPlatformOffscreenSurface *createPlatformOffscreenSurface(QOffscreenSurface *surface) const override;
-+
-+    bool hasCapability(Capability cap) const override;
-+    QAbstractEventDispatcher *createEventDispatcher() const override;
-+    void initialize() override;
-+
-+    void moveToScreen(QWindow *window, int screen);
-+
-+    QPlatformFontDatabase *fontDatabase() const override;
-+
-+    QPlatformNativeInterface *nativeInterface()const override;
-+
-+#ifndef QT_NO_CLIPBOARD
-+    QPlatformClipboard *clipboard() const override;
-+#endif
-+#if QT_CONFIG(draganddrop)
-+    QPlatformDrag *drag() const override;
-+#endif
-+
-+    QPlatformInputContext *inputContext() const override;
-+
-+#ifndef QT_NO_ACCESSIBILITY
-+    QPlatformAccessibility *accessibility() const override;
-+#endif
-+
-+    QPlatformServices *services() const override;
-+
-+    Qt::KeyboardModifiers queryKeyboardModifiers() const override;
-+    QList<int> possibleKeys(const QKeyEvent *e) const override;
-+
-+    QStringList themeNames() const override;
-+    QPlatformTheme *createPlatformTheme(const QString &name) const override;
-+    QVariant styleHint(StyleHint hint) const override;
-+
-+    bool hasDefaultConnection() const { return !m_connections.isEmpty(); }
-+    QXcbConnection *defaultConnection() const { return m_connections.first(); }
-+
-+    QByteArray wmClass() const;
-+
-+#if QT_CONFIG(xcb_sm)
-+    QPlatformSessionManager *createPlatformSessionManager(const QString &id, const QString &key) const override;
-+#endif
-+
-+    void sync() override;
-+
-+    void beep() const override;
-+
-+    bool nativePaintingEnabled() const;
-+
-+#if QT_CONFIG(vulkan)
-+    QPlatformVulkanInstance *createPlatformVulkanInstance(QVulkanInstance *instance) const override;
-+#endif
-+
-+    static QXcbIntegration *instance() { return m_instance; }
-+
-+private:
-+    QList<QXcbConnection *> m_connections;
-+
-+    QScopedPointer<QPlatformFontDatabase> m_fontDatabase;
-+    QScopedPointer<QXcbNativeInterface> m_nativeInterface;
-+
-+    QScopedPointer<QPlatformInputContext> m_inputContext;
-+
-+#ifndef QT_NO_ACCESSIBILITY
-+    mutable QScopedPointer<QPlatformAccessibility> m_accessibility;
-+#endif
-+
-+    QScopedPointer<QPlatformServices> m_services;
-+
-+    mutable QByteArray m_wmClass;
-+    const char *m_instanceName;
-+    bool m_canGrab;
-+    xcb_visualid_t m_defaultVisualId;
-+
-+    static QXcbIntegration *m_instance;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbkeyboard.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbkeyboard.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbkeyboard.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbkeyboard.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,151 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBKEYBOARD_H
-+#define QXCBKEYBOARD_H
-+
-+#include "qxcbobject.h"
-+
-+#include <xcb/xcb_keysyms.h>
-+#if QT_CONFIG(xkb)
-+#define explicit dont_use_cxx_explicit
-+#include <xcb/xkb.h>
-+#undef explicit
-+#endif
-+
-+#include <xkbcommon/xkbcommon.h>
-+#include <QtXkbCommonSupport/private/qxkbcommon_p.h>
-+
-+#include <QEvent>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbKeyboard : public QXcbObject
-+{
-+public:
-+    QXcbKeyboard(QXcbConnection *connection);
-+
-+    ~QXcbKeyboard();
-+
-+    void initialize();
-+    void selectEvents();
-+
-+    void handleKeyPressEvent(const xcb_key_press_event_t *event);
-+    void handleKeyReleaseEvent(const xcb_key_release_event_t *event);
-+
-+    Qt::KeyboardModifiers translateModifiers(int s) const;
-+    void updateKeymap(xcb_mapping_notify_event_t *event);
-+    void updateKeymap();
-+    QList<int> possibleKeys(const QKeyEvent *event) const;
-+
-+    // when XKEYBOARD not present on the X server
-+    void updateXKBMods();
-+    xkb_mod_mask_t xkbModMask(quint16 state);
-+    void updateXKBStateFromCore(quint16 state);
-+#if QT_CONFIG(xcb_xinput)
-+    void updateXKBStateFromXI(void *modInfo, void *groupInfo);
-+#endif
-+#if QT_CONFIG(xkb)
-+    // when XKEYBOARD is present on the X server
-+    int coreDeviceId() const { return core_device_id; }
-+    void updateXKBState(xcb_xkb_state_notify_event_t *state);
-+#endif
-+    void handleStateChanges(xkb_state_component changedComponents);
-+
-+protected:
-+    void handleKeyEvent(xcb_window_t sourceWindow, QEvent::Type type, xcb_keycode_t code,
-+                        quint16 state, xcb_timestamp_t time, bool fromSendEvent);
-+
-+    void resolveMaskConflicts();
-+
-+    typedef QMap<xcb_keysym_t, int> KeysymModifierMap;
-+    struct xkb_keymap *keymapFromCore(const KeysymModifierMap &keysymMods);
-+
-+    // when XKEYBOARD not present on the X server
-+    void updateModifiers(const KeysymModifierMap &keysymMods);
-+    KeysymModifierMap keysymsToModifiers();
-+    // when XKEYBOARD is present on the X server
-+    void updateVModMapping();
-+    void updateVModToRModMapping();
-+
-+private:
-+    bool m_config = false;
-+    bool m_isAutoRepeat = false;
-+    xcb_keycode_t m_autoRepeatCode = 0;
-+
-+    struct _mod_masks {
-+        uint alt;
-+        uint altgr;
-+        uint meta;
-+        uint super;
-+        uint hyper;
-+    };
-+
-+    _mod_masks rmod_masks;
-+
-+    // when XKEYBOARD not present on the X server
-+    xcb_key_symbols_t *m_key_symbols = nullptr;
-+    struct _xkb_mods {
-+        xkb_mod_index_t shift;
-+        xkb_mod_index_t lock;
-+        xkb_mod_index_t control;
-+        xkb_mod_index_t mod1;
-+        xkb_mod_index_t mod2;
-+        xkb_mod_index_t mod3;
-+        xkb_mod_index_t mod4;
-+        xkb_mod_index_t mod5;
-+    };
-+    _xkb_mods xkb_mods;
-+#if QT_CONFIG(xkb)
-+    // when XKEYBOARD is present on the X server
-+    _mod_masks vmod_masks;
-+    int core_device_id;
-+#endif
-+
-+    QXkbCommon::ScopedXKBState m_xkbState;
-+    QXkbCommon::ScopedXKBKeymap m_xkbKeymap;
-+    QXkbCommon::ScopedXKBContext m_xkbContext;
-+
-+    bool m_superAsMeta = false;
-+    bool m_hyperAsMeta = false;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbmime.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbmime.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbmime.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbmime.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,70 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBMIME_H
-+#define QXCBMIME_H
-+
-+#include <QtGui/private/qinternalmimedata_p.h>
-+
-+#include <QtGui/QClipboard>
-+
-+#include "qxcbintegration.h"
-+#include "qxcbconnection.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbMime : public QInternalMimeData {
-+    Q_OBJECT
-+public:
-+    QXcbMime();
-+    ~QXcbMime();
-+
-+    static QVector<xcb_atom_t> mimeAtomsForFormat(QXcbConnection *connection, const QString &format);
-+    static QString mimeAtomToString(QXcbConnection *connection, xcb_atom_t a);
-+    static bool mimeDataForAtom(QXcbConnection *connection, xcb_atom_t a, QMimeData *mimeData, QByteArray *data,
-+                                xcb_atom_t *atomFormat, int *dataFormat);
-+    static QVariant mimeConvertToFormat(QXcbConnection *connection, xcb_atom_t a, const QByteArray &data, const QString &format,
-+                                        QVariant::Type requestedType, const QByteArray &encoding);
-+    static xcb_atom_t mimeAtomForFormat(QXcbConnection *connection, const QString &format, QVariant::Type requestedType,
-+                                        const QVector<xcb_atom_t> &atoms, QByteArray *requestedEncoding);
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBMIME_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbnativeinterface.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbnativeinterface.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbnativeinterface.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbnativeinterface.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,156 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBNATIVEINTERFACE_H
-+#define QXCBNATIVEINTERFACE_H
-+
-+#include <qpa/qplatformnativeinterface.h>
-+#include <xcb/xcb.h>
-+
-+#include <QtCore/QRect>
-+
-+#include "qxcbexport.h"
-+#include "qxcbconnection.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbScreen;
-+class QXcbNativeInterfaceHandler;
-+
-+class Q_XCB_EXPORT QXcbNativeInterface : public QPlatformNativeInterface
-+{
-+    Q_OBJECT
-+public:
-+    enum ResourceType {
-+        Display,
-+        Connection,
-+        Screen,
-+        AppTime,
-+        AppUserTime,
-+        ScreenHintStyle,
-+        StartupId,
-+        TrayWindow,
-+        GetTimestamp,
-+        X11Screen,
-+        RootWindow,
-+        ScreenSubpixelType,
-+        ScreenAntialiasingEnabled,
-+        AtspiBus,
-+        CompositingEnabled,
-+        VkSurface,
-+        GeneratePeekerId,
-+        RemovePeekerId,
-+        PeekEventQueue
-+    };
-+
-+    QXcbNativeInterface();
-+
-+    void *nativeResourceForIntegration(const QByteArray &resource) override;
-+    void *nativeResourceForContext(const QByteArray &resourceString, QOpenGLContext *context) override;
-+    void *nativeResourceForScreen(const QByteArray &resource, QScreen *screen) override;
-+    void *nativeResourceForWindow(const QByteArray &resourceString, QWindow *window) override;
-+    void *nativeResourceForBackingStore(const QByteArray &resource, QBackingStore *backingStore) override;
-+#ifndef QT_NO_CURSOR
-+    void *nativeResourceForCursor(const QByteArray &resource, const QCursor &cursor) override;
-+#endif
-+
-+    NativeResourceForIntegrationFunction nativeResourceFunctionForIntegration(const QByteArray &resource) override;
-+    NativeResourceForContextFunction nativeResourceFunctionForContext(const QByteArray &resource) override;
-+    NativeResourceForScreenFunction nativeResourceFunctionForScreen(const QByteArray &resource) override;
-+    NativeResourceForWindowFunction nativeResourceFunctionForWindow(const QByteArray &resource) override;
-+    NativeResourceForBackingStoreFunction nativeResourceFunctionForBackingStore(const QByteArray &resource) override;
-+
-+    QFunctionPointer platformFunction(const QByteArray &function) const override;
-+
-+    inline const QByteArray &nativeEventType() const { return m_nativeEventType; }
-+
-+    void *displayForWindow(QWindow *window);
-+    void *connectionForWindow(QWindow *window);
-+    void *screenForWindow(QWindow *window);
-+    void *appTime(const QXcbScreen *screen);
-+    void *appUserTime(const QXcbScreen *screen);
-+    void *getTimestamp(const QXcbScreen *screen);
-+    void *startupId();
-+    void *x11Screen();
-+    void *rootWindow();
-+    void *display();
-+    void *atspiBus();
-+    void *connection();
-+    static void setStartupId(const char *);
-+    static void setAppTime(QScreen *screen, xcb_timestamp_t time);
-+    static void setAppUserTime(QScreen *screen, xcb_timestamp_t time);
-+
-+    static qint32 generatePeekerId();
-+    static bool removePeekerId(qint32 peekerId);
-+    static bool peekEventQueue(QXcbEventQueue::PeekerCallback peeker, void *peekerData = nullptr,
-+                               QXcbEventQueue::PeekOptions option = QXcbEventQueue::PeekDefault,
-+                               qint32 peekerId = -1);
-+
-+    Q_INVOKABLE QString dumpConnectionNativeWindows(const QXcbConnection *connection, WId root) const;
-+    Q_INVOKABLE QString dumpNativeWindows(WId root = 0) const;
-+
-+    void addHandler(QXcbNativeInterfaceHandler *handler);
-+    void removeHandler(QXcbNativeInterfaceHandler *handler);
-+signals:
-+    void systemTrayWindowChanged(QScreen *screen);
-+
-+private:
-+    const QByteArray m_nativeEventType = QByteArrayLiteral("xcb_generic_event_t");
-+
-+    xcb_atom_t m_sysTraySelectionAtom = XCB_ATOM_NONE;
-+
-+    static QXcbScreen *qPlatformScreenForWindow(QWindow *window);
-+
-+    QList<QXcbNativeInterfaceHandler *> m_handlers;
-+    NativeResourceForIntegrationFunction handlerNativeResourceFunctionForIntegration(const QByteArray &resource) const;
-+    NativeResourceForContextFunction handlerNativeResourceFunctionForContext(const QByteArray &resource) const;
-+    NativeResourceForScreenFunction handlerNativeResourceFunctionForScreen(const QByteArray &resource) const;
-+    NativeResourceForWindowFunction handlerNativeResourceFunctionForWindow(const QByteArray &resource) const;
-+    NativeResourceForBackingStoreFunction handlerNativeResourceFunctionForBackingStore(const QByteArray &resource) const;
-+    QFunctionPointer handlerPlatformFunction(const QByteArray &function) const;
-+    void *handlerNativeResourceForIntegration(const QByteArray &resource) const;
-+    void *handlerNativeResourceForContext(const QByteArray &resource, QOpenGLContext *context) const;
-+    void *handlerNativeResourceForScreen(const QByteArray &resource, QScreen *screen) const;
-+    void *handlerNativeResourceForWindow(const QByteArray &resource, QWindow *window) const;
-+    void *handlerNativeResourceForBackingStore(const QByteArray &resource, QBackingStore *backingStore) const;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBNATIVEINTERFACE_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbobject.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbobject.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbobject.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbobject.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,64 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBOBJECT_H
-+#define QXCBOBJECT_H
-+
-+#include "qxcbconnection.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbObject
-+{
-+public:
-+    QXcbObject(QXcbConnection *connection = 0) : m_connection(connection) {}
-+
-+    void setConnection(QXcbConnection *connection) { m_connection = connection; }
-+    QXcbConnection *connection() const { return m_connection; }
-+
-+    xcb_atom_t atom(QXcbAtom::Atom atom) const { return m_connection->atom(atom); }
-+    xcb_connection_t *xcb_connection() const { return m_connection->xcb_connection(); }
-+
-+private:
-+    QXcbConnection *m_connection;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbscreen.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbscreen.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbscreen.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbscreen.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,239 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBSCREEN_H
-+#define QXCBSCREEN_H
-+
-+#include <qpa/qplatformscreen.h>
-+#include <QtCore/QString>
-+
-+#include <xcb/xcb.h>
-+#include <xcb/randr.h>
-+#include <xcb/xfixes.h>
-+#include <xcb/xinerama.h>
-+
-+#include "qxcbobject.h"
-+#include "qxcbscreen.h"
-+
-+#include <private/qfontengine_p.h>
-+
-+#include <QtEdidSupport/private/qedidparser_p.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbConnection;
-+class QXcbCursor;
-+class QXcbXSettings;
-+#ifndef QT_NO_DEBUG_STREAM
-+class QDebug;
-+#endif
-+
-+class QXcbVirtualDesktop : public QXcbObject
-+{
-+public:
-+    QXcbVirtualDesktop(QXcbConnection *connection, xcb_screen_t *screen, int number);
-+    ~QXcbVirtualDesktop();
-+
-+    xcb_screen_t *screen() const { return m_screen; }
-+    int number() const { return m_number; }
-+    QSize size() const { return QSize(m_screen->width_in_pixels, m_screen->height_in_pixels); }
-+    QSize physicalSize() const { return QSize(m_screen->width_in_millimeters, m_screen->height_in_millimeters); }
-+    QDpi dpi() const;
-+    xcb_window_t root() const { return m_screen->root; }
-+    QXcbScreen *screenAt(const QPoint &pos) const;
-+
-+    QList<QPlatformScreen *> screens() const { return m_screens; }
-+    void setScreens(QList<QPlatformScreen *> &&sl) { m_screens = std::move(sl); }
-+    void removeScreen(QPlatformScreen *s) { m_screens.removeOne(s); }
-+    void addScreen(QPlatformScreen *s);
-+    void setPrimaryScreen(QPlatformScreen *s);
-+
-+    QXcbXSettings *xSettings() const;
-+
-+    bool compositingActive() const;
-+
-+    QRect workArea() const { return m_workArea; }
-+    void updateWorkArea();
-+
-+    void handleXFixesSelectionNotify(xcb_xfixes_selection_notify_event_t *notify_event);
-+    void subscribeToXFixesSelectionNotify();
-+
-+    void handleScreenChange(xcb_randr_screen_change_notify_event_t *change_event);
-+
-+    int forcedDpi() const { return m_forcedDpi; }
-+    QFontEngine::HintStyle hintStyle() const { return m_hintStyle; }
-+    QFontEngine::SubpixelAntialiasingType subpixelType() const { return m_subpixelType; }
-+    int antialiasingEnabled() const { return m_antialiasingEnabled; }
-+
-+    QString windowManagerName() const { return m_windowManagerName; }
-+
-+    QSurfaceFormat surfaceFormatFor(const QSurfaceFormat &format) const;
-+
-+    const xcb_visualtype_t *visualForFormat(const QSurfaceFormat &format) const;
-+    const xcb_visualtype_t *visualForId(xcb_visualid_t) const;
-+    quint8 depthOfVisual(xcb_visualid_t) const;
-+
-+private:
-+    QRect getWorkArea() const;
-+
-+    static bool xResource(const QByteArray &identifier,
-+                          const QByteArray &expectedIdentifier,
-+                          QByteArray &stringValue);
-+    void readXResources();
-+
-+    xcb_screen_t *m_screen;
-+    const int m_number;
-+    QList<QPlatformScreen *> m_screens;
-+
-+    QXcbXSettings *m_xSettings = nullptr;
-+    xcb_atom_t m_net_wm_cm_atom = 0;
-+    bool m_compositingActive = false;
-+
-+    QRect m_workArea;
-+
-+    int m_forcedDpi = -1;
-+    QFontEngine::HintStyle m_hintStyle = QFontEngine::HintStyle(-1);
-+    QFontEngine::SubpixelAntialiasingType m_subpixelType = QFontEngine::SubpixelAntialiasingType(-1);
-+    int m_antialiasingEnabled = -1;
-+    QString m_windowManagerName;
-+    QMap<xcb_visualid_t, xcb_visualtype_t> m_visuals;
-+    QMap<xcb_visualid_t, quint8> m_visualDepths;
-+    uint16_t m_rotation = 0;
-+};
-+
-+class Q_XCB_EXPORT QXcbScreen : public QXcbObject, public QPlatformScreen
-+{
-+public:
-+    QXcbScreen(QXcbConnection *connection, QXcbVirtualDesktop *virtualDesktop,
-+               xcb_randr_output_t outputId, xcb_randr_get_output_info_reply_t *outputInfo,
-+               const xcb_xinerama_screen_info_t *xineramaScreenInfo = nullptr, int xineramaScreenIdx = -1);
-+    ~QXcbScreen();
-+
-+    QString getOutputName(xcb_randr_get_output_info_reply_t *outputInfo);
-+
-+    QPixmap grabWindow(WId window, int x, int y, int width, int height) const override;
-+
-+    QWindow *topLevelAt(const QPoint &point) const override;
-+
-+    QString manufacturer() const override;
-+    QString model() const override;
-+    QString serialNumber() const override;
-+
-+    QRect geometry() const override { return m_geometry; }
-+    QRect availableGeometry() const override;
-+    int depth() const override { return screen()->root_depth; }
-+    QImage::Format format() const override;
-+    QSizeF physicalSize() const override { return m_sizeMillimeters; }
-+    QDpi logicalDpi() const override;
-+    qreal pixelDensity() const override;
-+    QPlatformCursor *cursor() const override;
-+    qreal refreshRate() const override { return m_refreshRate; }
-+    Qt::ScreenOrientation orientation() const override { return m_orientation; }
-+    QList<QPlatformScreen *> virtualSiblings() const override { return m_virtualDesktop->screens(); }
-+    QXcbVirtualDesktop *virtualDesktop() const { return m_virtualDesktop; }
-+
-+    void setPrimary(bool primary) { m_primary = primary; }
-+    bool isPrimary() const { return m_primary; }
-+
-+    int screenNumber() const { return m_virtualDesktop->number(); }
-+    static int virtualDesktopNumberStatic(const QScreen *screen);
-+
-+    xcb_screen_t *screen() const { return m_virtualDesktop->screen(); }
-+    xcb_window_t root() const { return screen()->root; }
-+    xcb_randr_output_t output() const { return m_output; }
-+    xcb_randr_crtc_t crtc() const { return m_crtc; }
-+    xcb_randr_mode_t mode() const { return m_mode; }
-+
-+    void setOutput(xcb_randr_output_t outputId,
-+                   xcb_randr_get_output_info_reply_t *outputInfo);
-+    void setCrtc(xcb_randr_crtc_t crtc) { m_crtc = crtc; }
-+
-+    void windowShown(QXcbWindow *window);
-+    QString windowManagerName() const { return m_virtualDesktop->windowManagerName(); }
-+
-+    QSurfaceFormat surfaceFormatFor(const QSurfaceFormat &format) const;
-+
-+    const xcb_visualtype_t *visualForFormat(const QSurfaceFormat &format) const { return m_virtualDesktop->visualForFormat(format); }
-+    const xcb_visualtype_t *visualForId(xcb_visualid_t visualid) const;
-+    quint8 depthOfVisual(xcb_visualid_t visualid) const { return m_virtualDesktop->depthOfVisual(visualid); }
-+
-+    QString name() const override { return m_outputName; }
-+
-+    void updateGeometry(const QRect &geometry, uint8_t rotation);
-+    void updateGeometry(xcb_timestamp_t timestamp = XCB_TIME_CURRENT_TIME);
-+    void updateAvailableGeometry();
-+    void updateRefreshRate(xcb_randr_mode_t mode);
-+
-+    QFontEngine::HintStyle hintStyle() const { return m_virtualDesktop->hintStyle(); }
-+    QFontEngine::SubpixelAntialiasingType subpixelType() const { return m_virtualDesktop->subpixelType(); }
-+    int antialiasingEnabled() const { return m_virtualDesktop->antialiasingEnabled(); }
-+
-+    QXcbXSettings *xSettings() const;
-+
-+private:
-+    void sendStartupMessage(const QByteArray &message) const;
-+
-+    QByteArray getOutputProperty(xcb_atom_t atom) const;
-+    QByteArray getEdid() const;
-+
-+    QXcbVirtualDesktop *m_virtualDesktop;
-+    xcb_randr_output_t m_output;
-+    xcb_randr_crtc_t m_crtc;
-+    xcb_randr_mode_t m_mode = XCB_NONE;
-+    bool m_primary = false;
-+
-+    QString m_outputName;
-+    QSizeF m_outputSizeMillimeters;
-+    QSizeF m_sizeMillimeters;
-+    QRect m_geometry;
-+    QRect m_availableGeometry;
-+    Qt::ScreenOrientation m_orientation = Qt::PrimaryOrientation;
-+    QXcbCursor *m_cursor;
-+    int m_refreshRate = 60;
-+    int m_pixelDensity = 1;
-+    QEdidParser m_edid;
-+};
-+
-+#ifndef QT_NO_DEBUG_STREAM
-+Q_GUI_EXPORT QDebug operator<<(QDebug, const QXcbScreen *);
-+#endif
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsessionmanager.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsessionmanager.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsessionmanager.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsessionmanager.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,94 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2013 Teo Mrnjavac <teo@kde.org>
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBSESSIONMANAGER_H
-+#define QXCBSESSIONMANAGER_H
-+
-+//
-+//  W A R N I N G
-+//  -------------
-+//
-+// This file is part of the QPA API and is not meant to be used
-+// in applications. Usage of this API may make your code
-+// source and binary incompatible with future versions of Qt.
-+//
-+
-+#include <qpa/qplatformsessionmanager.h>
-+
-+#ifndef QT_NO_SESSIONMANAGER
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QEventLoop;
-+
-+class QXcbSessionManager : public QPlatformSessionManager
-+{
-+public:
-+    QXcbSessionManager(const QString &id, const QString &key);
-+    virtual ~QXcbSessionManager();
-+
-+    void *handle() const;
-+
-+    void setSessionId(const QString &id) { m_sessionId = id; }
-+    void setSessionKey(const QString &key) { m_sessionKey = key; }
-+
-+    bool allowsInteraction() override;
-+    bool allowsErrorInteraction() override;
-+    void release() override;
-+
-+    void cancel() override;
-+
-+    void setManagerProperty(const QString &name, const QString &value) override;
-+    void setManagerProperty(const QString &name, const QStringList &value) override;
-+
-+    bool isPhase2() const override;
-+    void requestPhase2() override;
-+
-+    void exitEventLoop();
-+
-+private:
-+    QEventLoop *m_eventLoop;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif //QT_NO_SESSIONMANAGER
-+
-+#endif //QXCBSESSIONMANAGER_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsystemtraytracker.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsystemtraytracker.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsystemtraytracker.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbsystemtraytracker.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,85 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBSYSTEMTRAYTRACKER_H
-+#define QXCBSYSTEMTRAYTRACKER_H
-+
-+#include "qxcbconnection.h"
-+
-+#include <xcb/xcb.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbConnection;
-+class QScreen;
-+
-+class QXcbSystemTrayTracker : public QObject, public QXcbWindowEventListener
-+{
-+    Q_OBJECT
-+public:
-+    static QXcbSystemTrayTracker *create(QXcbConnection *connection);
-+
-+    xcb_window_t trayWindow();
-+    void requestSystemTrayWindowDock(xcb_window_t window) const;
-+
-+    void notifyManagerClientMessageEvent(const xcb_client_message_event_t *);
-+
-+    void handleDestroyNotifyEvent(const xcb_destroy_notify_event_t *) override;
-+
-+    xcb_visualid_t visualId();
-+signals:
-+    void systemTrayWindowChanged(QScreen *screen);
-+
-+private:
-+    explicit QXcbSystemTrayTracker(QXcbConnection *connection,
-+                                   xcb_atom_t trayAtom,
-+                                   xcb_atom_t selection);
-+    static xcb_window_t locateTrayWindow(const QXcbConnection *connection, xcb_atom_t selection);
-+    void emitSystemTrayWindowChanged();
-+    xcb_visualid_t netSystemTrayVisual();
-+
-+    const xcb_atom_t m_selection;
-+    const xcb_atom_t m_trayAtom;
-+    QXcbConnection *m_connection;
-+    xcb_window_t m_trayWindow = 0;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBSYSTEMTRAYTRACKER_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkaninstance.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkaninstance.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkaninstance.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkaninstance.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,76 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2017 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBVULKANINSTANCE_H
-+#define QXCBVULKANINSTANCE_H
-+
-+#if defined(VULKAN_H_) && !defined(VK_USE_PLATFORM_XCB_KHR)
-+#error "vulkan.h included without xcb WSI"
-+#endif
-+
-+#define VK_USE_PLATFORM_XCB_KHR
-+
-+#include <QtVulkanSupport/private/qbasicvulkanplatforminstance_p.h>
-+#include <QLibrary>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbWindow;
-+
-+class QXcbVulkanInstance : public QBasicPlatformVulkanInstance
-+{
-+public:
-+    QXcbVulkanInstance(QVulkanInstance *instance);
-+    ~QXcbVulkanInstance();
-+
-+    void createOrAdoptInstance() override;
-+    bool supportsPresent(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, QWindow *window) override;
-+    void presentQueued(QWindow *window) override;
-+
-+    VkSurfaceKHR createSurface(QXcbWindow *window);
-+
-+private:
-+    QVulkanInstance *m_instance;
-+    PFN_vkGetPhysicalDeviceXcbPresentationSupportKHR m_getPhysDevPresSupport;
-+    PFN_vkCreateXcbSurfaceKHR m_createSurface;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBVULKANINSTANCE_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkanwindow.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkanwindow.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkanwindow.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbvulkanwindow.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,65 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2017 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBVULKANWINDOW_H
-+#define QXCBVULKANWINDOW_H
-+
-+#include "qxcbwindow.h"
-+#include "qxcbvulkaninstance.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbVulkanWindow : public QXcbWindow
-+{
-+public:
-+    QXcbVulkanWindow(QWindow *window);
-+    ~QXcbVulkanWindow();
-+
-+    VkSurfaceKHR *surface();
-+
-+protected:
-+    void resolveFormat(const QSurfaceFormat &format) override;
-+
-+private:
-+    VkSurfaceKHR m_surface;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBVULKANWINDOW_H
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwindow.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwindow.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwindow.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwindow.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,299 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBWINDOW_H
-+#define QXCBWINDOW_H
-+
-+#include <qpa/qplatformwindow.h>
-+#include <QtGui/QSurfaceFormat>
-+#include <QtGui/QImage>
-+
-+#include <xcb/xcb.h>
-+#include <xcb/sync.h>
-+
-+#include "qxcbobject.h"
-+
-+#include <QtPlatformHeaders/qxcbwindowfunctions.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbScreen;
-+class QXcbSyncWindowRequest;
-+class QIcon;
-+
-+class Q_XCB_EXPORT QXcbWindow : public QXcbObject, public QXcbWindowEventListener, public QPlatformWindow
-+{
-+public:
-+    enum NetWmState {
-+        NetWmStateAbove = 0x1,
-+        NetWmStateBelow = 0x2,
-+        NetWmStateFullScreen = 0x4,
-+        NetWmStateMaximizedHorz = 0x8,
-+        NetWmStateMaximizedVert = 0x10,
-+        NetWmStateModal = 0x20,
-+        NetWmStateStaysOnTop = 0x40,
-+        NetWmStateDemandsAttention = 0x80
-+    };
-+
-+    Q_DECLARE_FLAGS(NetWmStates, NetWmState)
-+
-+    QXcbWindow(QWindow *window);
-+    ~QXcbWindow();
-+
-+    void setGeometry(const QRect &rect) override;
-+
-+    QMargins frameMargins() const override;
-+
-+    void setVisible(bool visible) override;
-+    void setWindowFlags(Qt::WindowFlags flags) override;
-+    void setWindowState(Qt::WindowStates state) override;
-+    WId winId() const override;
-+    void setParent(const QPlatformWindow *window) override;
-+
-+    bool isExposed() const override;
-+    bool isEmbedded() const override;
-+    QPoint mapToGlobal(const QPoint &pos) const override;
-+    QPoint mapFromGlobal(const QPoint &pos) const override;
-+
-+    void setWindowTitle(const QString &title) override;
-+    void setWindowIconText(const QString &title);
-+    void setWindowIcon(const QIcon &icon) override;
-+    void raise() override;
-+    void lower() override;
-+    void propagateSizeHints() override;
-+
-+    void requestActivateWindow() override;
-+
-+    bool setKeyboardGrabEnabled(bool grab) override;
-+    bool setMouseGrabEnabled(bool grab) override;
-+
-+    QSurfaceFormat format() const override;
-+
-+    bool windowEvent(QEvent *event) override;
-+
-+    bool startSystemResize(const QPoint &pos, Qt::Corner corner) override;
-+    bool startSystemMove(const QPoint &pos) override;
-+
-+    void setOpacity(qreal level) override;
-+    void setMask(const QRegion &region) override;
-+
-+    void setAlertState(bool enabled) override;
-+    bool isAlertState() const override { return m_alertState; }
-+
-+    xcb_window_t xcb_window() const { return m_window; }
-+    uint depth() const { return m_depth; }
-+    QImage::Format imageFormat() const { return m_imageFormat; }
-+    bool imageNeedsRgbSwap() const { return m_imageRgbSwap; }
-+
-+    bool handleNativeEvent(xcb_generic_event_t *event)  override;
-+
-+    void handleExposeEvent(const xcb_expose_event_t *event) override;
-+    void handleClientMessageEvent(const xcb_client_message_event_t *event) override;
-+    void handleConfigureNotifyEvent(const xcb_configure_notify_event_t *event) override;
-+    void handleMapNotifyEvent(const xcb_map_notify_event_t *event) override;
-+    void handleUnmapNotifyEvent(const xcb_unmap_notify_event_t *event) override;
-+    void handleButtonPressEvent(const xcb_button_press_event_t *event) override;
-+    void handleButtonReleaseEvent(const xcb_button_release_event_t *event) override;
-+    void handleMotionNotifyEvent(const xcb_motion_notify_event_t *event) override;
-+
-+    void handleEnterNotifyEvent(const xcb_enter_notify_event_t *event) override;
-+    void handleLeaveNotifyEvent(const xcb_leave_notify_event_t *event) override;
-+    void handleFocusInEvent(const xcb_focus_in_event_t *event) override;
-+    void handleFocusOutEvent(const xcb_focus_out_event_t *event) override;
-+    void handlePropertyNotifyEvent(const xcb_property_notify_event_t *event) override;
-+#if QT_CONFIG(xcb_xinput)
-+    void handleXIMouseEvent(xcb_ge_event_t *, Qt::MouseEventSource source = Qt::MouseEventNotSynthesized) override;
-+    void handleXIEnterLeave(xcb_ge_event_t *) override;
-+#endif
-+
-+    QXcbWindow *toWindow() override;
-+
-+    void handleMouseEvent(xcb_timestamp_t time, const QPoint &local, const QPoint &global,
-+                          Qt::KeyboardModifiers modifiers, QEvent::Type type, Qt::MouseEventSource source);
-+
-+    void updateNetWmUserTime(xcb_timestamp_t timestamp);
-+
-+    static void setWmWindowTypeStatic(QWindow *window, QXcbWindowFunctions::WmWindowTypes windowTypes);
-+    static void setWmWindowRoleStatic(QWindow *window, const QByteArray &role);
-+    static uint visualIdStatic(QWindow *window);
-+
-+    QXcbWindowFunctions::WmWindowTypes wmWindowTypes() const;
-+    void setWmWindowType(QXcbWindowFunctions::WmWindowTypes types, Qt::WindowFlags flags);
-+    void setWmWindowRole(const QByteArray &role);
-+
-+    static void setWindowIconTextStatic(QWindow *window, const QString &text);
-+
-+    void setParentRelativeBackPixmap();
-+    bool requestSystemTrayWindowDock();
-+    uint visualId() const;
-+
-+    bool needsSync() const;
-+
-+    void postSyncWindowRequest();
-+    void clearSyncWindowRequest() { m_pendingSyncRequest = 0; }
-+
-+    QXcbScreen *xcbScreen() const;
-+
-+    bool startSystemMoveResize(const QPoint &pos, int corner);
-+    void doStartSystemMoveResize(const QPoint &globalPos, int corner);
-+
-+    static bool isTrayIconWindow(QWindow *window)
-+    {
-+        return window->objectName() == QLatin1String("QSystemTrayIconSysWindow");
-+    }
-+
-+    virtual void create();
-+    virtual void destroy();
-+
-+    static void setWindowTitle(const QXcbConnection *conn, xcb_window_t window, const QString &title);
-+    static QString windowTitle(const QXcbConnection *conn, xcb_window_t window);
-+
-+public Q_SLOTS:
-+    void updateSyncRequestCounter();
-+
-+protected:
-+    virtual void resolveFormat(const QSurfaceFormat &format) { m_format = format; }
-+    virtual const xcb_visualtype_t *createVisual();
-+    void setImageFormatForVisual(const xcb_visualtype_t *visual);
-+
-+    QXcbScreen *parentScreen();
-+    QXcbScreen *initialScreen() const;
-+
-+    void setNetWmState(bool set, xcb_atom_t one, xcb_atom_t two = 0);
-+    void setNetWmState(Qt::WindowFlags flags);
-+    void setNetWmState(Qt::WindowStates state);
-+    void setNetWmStateOnUnmappedWindow();
-+    NetWmStates netWmStates();
-+
-+    void setMotifWmHints(Qt::WindowFlags flags);
-+
-+    void setTransparentForMouseEvents(bool transparent);
-+    void updateDoesNotAcceptFocus(bool doesNotAcceptFocus);
-+
-+    void sendXEmbedMessage(xcb_window_t window, quint32 message,
-+                           quint32 detail = 0, quint32 data1 = 0, quint32 data2 = 0);
-+    void handleXEmbedMessage(const xcb_client_message_event_t *event);
-+
-+    void show();
-+    void hide();
-+
-+    bool relayFocusToModalWindow() const;
-+    void doFocusIn();
-+    void doFocusOut();
-+
-+    void handleButtonPressEvent(int event_x, int event_y, int root_x, int root_y,
-+                                int detail, Qt::KeyboardModifiers modifiers, xcb_timestamp_t timestamp,
-+                                QEvent::Type type, Qt::MouseEventSource source = Qt::MouseEventNotSynthesized);
-+
-+    void handleButtonReleaseEvent(int event_x, int event_y, int root_x, int root_y,
-+                                  int detail, Qt::KeyboardModifiers modifiers, xcb_timestamp_t timestamp,
-+                                  QEvent::Type type, Qt::MouseEventSource source = Qt::MouseEventNotSynthesized);
-+
-+    void handleMotionNotifyEvent(int event_x, int event_y, int root_x, int root_y,
-+                                 Qt::KeyboardModifiers modifiers, xcb_timestamp_t timestamp,
-+                                 QEvent::Type type, Qt::MouseEventSource source = Qt::MouseEventNotSynthesized);
-+
-+    void handleEnterNotifyEvent(int event_x, int event_y, int root_x, int root_y,
-+                                quint8 mode, quint8 detail, xcb_timestamp_t timestamp);
-+
-+    void handleLeaveNotifyEvent(int root_x, int root_y,
-+                                quint8 mode, quint8 detail, xcb_timestamp_t timestamp);
-+
-+    xcb_window_t m_window = 0;
-+    xcb_colormap_t m_cmap = 0;
-+
-+    uint m_depth = 0;
-+    QImage::Format m_imageFormat = QImage::Format_ARGB32_Premultiplied;
-+    bool m_imageRgbSwap = false;
-+
-+    xcb_sync_int64_t m_syncValue;
-+    xcb_sync_counter_t m_syncCounter = 0;
-+
-+    Qt::WindowStates m_windowState = Qt::WindowNoState;
-+
-+    bool m_mapped = false;
-+    bool m_transparent = false;
-+    bool m_deferredActivation = false;
-+    bool m_embedded = false;
-+    bool m_alertState = false;
-+    bool m_minimized = false;
-+    bool m_trayIconWindow = false;
-+    xcb_window_t m_netWmUserTimeWindow = XCB_NONE;
-+
-+    QSurfaceFormat m_format;
-+
-+    mutable bool m_dirtyFrameMargins = false;
-+    mutable QMargins m_frameMargins;
-+
-+    QRegion m_exposeRegion;
-+    QSize m_oldWindowSize;
-+
-+    xcb_visualid_t m_visualId = 0;
-+    // Last sent state. Initialized to an invalid state, on purpose.
-+    Qt::WindowStates m_lastWindowStateEvent = Qt::WindowActive;
-+
-+    enum SyncState {
-+        NoSyncNeeded,
-+        SyncReceived,
-+        SyncAndConfigureReceived
-+    };
-+    SyncState m_syncState = NoSyncNeeded;
-+
-+    QXcbSyncWindowRequest *m_pendingSyncRequest = nullptr;
-+};
-+
-+class QXcbForeignWindow : public QXcbWindow
-+{
-+public:
-+    QXcbForeignWindow(QWindow *window, WId nativeHandle)
-+        : QXcbWindow(window) { m_window = nativeHandle; }
-+    ~QXcbForeignWindow();
-+    bool isForeignWindow() const override { return true; }
-+
-+protected:
-+    void create() override {} // No-op
-+};
-+
-+QVector<xcb_rectangle_t> qRegionToXcbRectangleList(const QRegion &region);
-+
-+QT_END_NAMESPACE
-+
-+Q_DECLARE_METATYPE(QXcbWindow*)
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwmsupport.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwmsupport.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwmsupport.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbwmsupport.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,68 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+#ifndef QXCBWMSUPPORT_H
-+#define QXCBWMSUPPORT_H
-+
-+#include "qxcbobject.h"
-+#include "qxcbconnection.h"
-+#include <qvector.h>
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbWMSupport : public QXcbObject
-+{
-+public:
-+    QXcbWMSupport(QXcbConnection *c);
-+
-+
-+    bool isSupportedByWM(xcb_atom_t atom) const;
-+    const QVector<xcb_window_t> &virtualRoots() const { return net_virtual_roots; }
-+
-+private:
-+    friend class QXcbConnection;
-+    void updateNetWMAtoms();
-+    void updateVirtualRoots();
-+
-+    QVector<xcb_atom_t> net_wm_atoms;
-+    QVector<xcb_window_t> net_virtual_roots;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif
-diff -urN qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbxsettings.h qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbxsettings.h
---- qt5dxcb-plugin-1.2.5.old/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbxsettings.h	1970-01-01 00:00:00.000000000 +0000
-+++ qt5dxcb-plugin-1.2.5/platformplugin/libqt5xcbqpa-dev/5.13.0/qxcbxsettings.h	2019-07-12 20:19:55.903986508 +0000
-@@ -0,0 +1,71 @@
-+/****************************************************************************
-+**
-+** Copyright (C) 2016 The Qt Company Ltd.
-+** Contact: https://www.qt.io/licensing/
-+**
-+** This file is part of the plugins of the Qt Toolkit.
-+**
-+** $QT_BEGIN_LICENSE:LGPL$
-+** Commercial License Usage
-+** Licensees holding valid commercial Qt licenses may use this file in
-+** accordance with the commercial license agreement provided with the
-+** Software or, alternatively, in accordance with the terms contained in
-+** a written agreement between you and The Qt Company. For licensing terms
-+** and conditions see https://www.qt.io/terms-conditions. For further
-+** information use the contact form at https://www.qt.io/contact-us.
-+**
-+** GNU Lesser General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU Lesser
-+** General Public License version 3 as published by the Free Software
-+** Foundation and appearing in the file LICENSE.LGPL3 included in the
-+** packaging of this file. Please review the following information to
-+** ensure the GNU Lesser General Public License version 3 requirements
-+** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-+**
-+** GNU General Public License Usage
-+** Alternatively, this file may be used under the terms of the GNU
-+** General Public License version 2.0 or (at your option) the GNU General
-+** Public license version 3 or any later version approved by the KDE Free
-+** Qt Foundation. The licenses are as published by the Free Software
-+** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-+** included in the packaging of this file. Please review the following
-+** information to ensure the GNU General Public License requirements will
-+** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-+** https://www.gnu.org/licenses/gpl-3.0.html.
-+**
-+** $QT_END_LICENSE$
-+**
-+****************************************************************************/
-+
-+#ifndef QXCBXSETTINGS_H
-+#define QXCBXSETTINGS_H
-+
-+#include "qxcbscreen.h"
-+
-+QT_BEGIN_NAMESPACE
-+
-+class QXcbXSettingsPrivate;
-+
-+class QXcbXSettings : public QXcbWindowEventListener
-+{
-+    Q_DECLARE_PRIVATE(QXcbXSettings)
-+public:
-+    QXcbXSettings(QXcbVirtualDesktop *screen);
-+    ~QXcbXSettings();
-+    bool initialized() const;
-+
-+    QVariant setting(const QByteArray &property) const;
-+
-+    typedef void (*PropertyChangeFunc)(QXcbVirtualDesktop *screen, const QByteArray &name, const QVariant &property, void *handle);
-+    void registerCallbackForProperty(const QByteArray &property, PropertyChangeFunc func, void *handle);
-+    void removeCallbackForHandle(const QByteArray &property, void *handle);
-+    void removeCallbackForHandle(void *handle);
-+
-+    void handlePropertyNotifyEvent(const xcb_property_notify_event_t *event) override;
-+private:
-+    QXcbXSettingsPrivate *d_ptr;
-+};
-+
-+QT_END_NAMESPACE
-+
-+#endif // QXCBXSETTINGS_H
diff --git a/srcpkgs/qt5dxcb-plugin/template b/srcpkgs/qt5dxcb-plugin/template
index 524e061e7be..a4055ba3529 100644
--- a/srcpkgs/qt5dxcb-plugin/template
+++ b/srcpkgs/qt5dxcb-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'qt5dxcb-plugin'
 pkgname=qt5dxcb-plugin
-version=1.2.5
-revision=2
+version=1.2.6
+revision=1
 build_style=qmake
 make_build_args="VERSION=${version}"
 hostmakedepends="pkg-config qt5-qmake"
@@ -15,7 +15,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/qt5dxcb-plugin/"
 changelog="https://github.com/linuxdeepin/qt5dxcb-plugin/blob/master/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/qt5dxcb-plugin/archive/${version}.tar.gz"
-checksum=03133438e7dbde56193510a2da6267d27f3f0c04e9dc83ec47c1705c2cf9b9c2
+checksum=f485eb5244a329e4d0c3ae4680d56cc98d9b47e9d88d60dfc6d75cf0ed3eabad
 patch_args="-Np1"
 
 pre_configure() {

From 7664707b1dc4bc84687a7a951c353745c591510e Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 07:44:01 +0000
Subject: [PATCH 17/42] deepin-movie-reborn: update to 3.2.24.2.

---
 srcpkgs/deepin-movie-reborn/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/deepin-movie-reborn/template b/srcpkgs/deepin-movie-reborn/template
index 006dc478e2b..755983d1120 100644
--- a/srcpkgs/deepin-movie-reborn/template
+++ b/srcpkgs/deepin-movie-reborn/template
@@ -1,6 +1,6 @@
 # Template file for 'deepin-movie-reborn'
 pkgname=deepin-movie-reborn
-version=3.2.24
+version=3.2.24.2
 revision=1
 build_style=cmake
 hostmakedepends="pkg-config qt5-host-tools qt5-qmake"
@@ -15,7 +15,7 @@ license="GPL-3.0-or-later"
 homepage="https://github.com/linuxdeepin/deepin-movie-reborn"
 changelog="https://github.com/linuxdeepin/deepin-movie-reborn/blob/${version}/CHANGELOG.md"
 distfiles="https://github.com/linuxdeepin/deepin-movie-reborn/archive/${version}.tar.gz"
-checksum=428bac7d37e28aab33244de9e43c5b84d77e78f52ff192ff319fda46e5e7f64c
+checksum=176e34c8ac236f21b0d058b9c10ceaf812e9fb6a0405907ec4a3da30592a054c
 CXXFLAGS="-I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DWidget"
 CXXFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DCore"
 CXXFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/libdtk-2.0.6/DWm"

From bc6c563bc310c36b9ea18ec0832a80bb9fc386c1 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Mon, 15 Jul 2019 20:50:19 -0400
Subject: [PATCH 18/42] doctl: update to 1.21.1, fixed pkg

---
 srcpkgs/doctl/template | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/doctl/template b/srcpkgs/doctl/template
index 5f99107191f..1ed77fc2a35 100644
--- a/srcpkgs/doctl/template
+++ b/srcpkgs/doctl/template
@@ -1,19 +1,17 @@
 # Template file for 'doctl'
 pkgname=doctl
-version=1.15.0
+version=1.21.1
 revision=1
 build_style=go
-go_import_path=github.com/digitalocean/doctl/cmd/doctl
+go_import_path="github.com/digitalocean/doctl/cmd/doctl"
+go_build_tags="v${version}"
 go_get="yes"
-go_package="github.com/digitalocean/doctl/pkg/ssh"
 hostmakedepends="git"
 short_desc="Command line tool for DigitalOcean services"
 maintainer="Noah Huppert <contact@noahh.io>"
 license="Apache-2.0"
 homepage="https://github.com/digitalocean/doctl"
-distfiles="https://github.com/digitalocean/doctl/archive/v${version}.tar.gz"
-checksum=a3c8f2e15ca93b3e91f2750b87df19207f629583c583206b6089347cc4f990a5
 
 post_install() {
-	vlicense LICENSE.txt
+	       vlicense "$GOPATH/src/github.com/digitalocean/doctl/LICENSE.txt"
 }

From c60caab2f906b081ee173d6d5c4dcdc6c4d3306b Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 08:32:26 +0000
Subject: [PATCH 19/42] shotcut: update to 19.07.15.

---
 srcpkgs/shotcut/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/shotcut/template b/srcpkgs/shotcut/template
index ebdf5e33086..30b5efe967b 100644
--- a/srcpkgs/shotcut/template
+++ b/srcpkgs/shotcut/template
@@ -1,6 +1,6 @@
 # Template file for 'shotcut'
 pkgname=shotcut
-version=19.06.15
+version=19.07.15
 revision=1
 build_style=qmake
 configure_args="SHOTCUT_VERSION=VOID-$version DEFINES+=SHOTCUT_NOUPGRADE"
@@ -15,7 +15,7 @@ maintainer="John <johnz@posteo.net>"
 license="GPL-3.0-or-later"
 homepage="https://www.shotcut.org"
 distfiles="https://github.com/mltframework/shotcut/archive/v${version}.tar.gz"
-checksum=3fdfe711f1567136b7d967bd620053d5e26f6fe585826875ef66301d19f07f03
+checksum=1e7b9dd21c3ba55a80fb4fe44367b295cde19468d392488b4a3d0fbe9a534c4c
 
 CXXFLAGS="-DHAVE_LOCALE_H=1"
 

From 0ada848c86dbbdcf02695416d6ec29519777e245 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 11:13:02 +0200
Subject: [PATCH 20/42] amdvlk: update to 2019.Q3.2.

---
 srcpkgs/amdvlk/template | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/amdvlk/template b/srcpkgs/amdvlk/template
index 7ccbadf7082..8fe59de6264 100644
--- a/srcpkgs/amdvlk/template
+++ b/srcpkgs/amdvlk/template
@@ -1,12 +1,12 @@
 # Template file for 'amdvlk'
 pkgname=amdvlk
-version=2019.Q3.1
+version=2019.Q3.2
 revision=1
-_llpc_commit=aa8a9d7f2b7ad7b81b70e7959e99e3f31f85c211
-_xgl_commit=eee58c8e482ac4a6fdc40452cb4ad744395d0f74
-_pal_commit=6c8eaa257e6216437fdfe3f17d418eccfe42e0bd
-_llvm_commit=8118692e8aefbd95f791ff49beddb8ce90e8927c
-_spvgen_commit=53245b96b7a647743f50b9d841751f9755002661
+_llpc_commit=252b93409b7cc92dacf48a421b9aac2a77629381
+_xgl_commit=2315f2a4de4df53eaa54b56e96332687ed12269f
+_pal_commit=ffb21e86238819817075e252ad9b49ea5284968d
+_llvm_commit=d9e4934189845f30428cad6da16e8745540291db
+_spvgen_commit=051aaa46272aae7808129b98fd9da49f3229eb78
 archs="i686* x86_64*"
 create_wrksrc=yes
 build_wrksrc="xgl"
@@ -25,12 +25,12 @@ distfiles="https://github.com/GPUOpen-Drivers/AMDVLK/archive/v-${version}.tar.gz
  https://github.com/GPUOpen-Drivers/pal/archive/${_pal_commit}.tar.gz
  https://github.com/GPUOpen-Drivers/llvm/archive/${_llvm_commit}.tar.gz
  https://github.com/GPUOpen-Drivers/spvgen/archive/${_spvgen_commit}.tar.gz"
-checksum="e41418633653279c55cc8d70a9f576e0de3018a3953bcb3372bfb809db48ae23
- f7efe91134588233e2d3f25ff53068fb0b7c6d144fabf907c7b8c807efe635e8
- 828bf0936e0efc86c40e3abb6f92cc214a493ab8e2ff2054d455bab399ae2d0a
- 83a4940d3bd64f38a83e14d7225cce6b2234610dbe6e3d55c50e1adc6126b2d2
- b0cbcd4d83530ad5bd515642f903837e6cc308eb68da51900208acf9f2dbe351
- 253bfaf1fc33c8ef01ca1681a5ea7400fd4ab7373c48e4f79beb10d89455d307"
+checksum="209f71acee66b1eaa4dc7f39cf2a0f3e349dfdedf5f4e1c2d29b217057323198
+ eb0a94288e4bda889d75e287247e63b97a91d9761fb818c9106d4afa490760c3
+ 1b01201e15eb62ad3df8b925de5763484570a85a4cdf686efe066e26d0ca70c2
+ d0b96d0b37ac24ada16fa030fe80070f39528f69df1c64c3474c3f58b98475ee
+ a816af55d118d1ab3f96729c2401568e689190d10388aa4f067917061bbfd271
+ 6f1242b24197e8f6ff259371773bedcb858dec379eba32f07d150d6eb57e5a2b"
 nocross=yes
 lib32files="/usr/share/vulkan/icd.d/amd_icd32.json"
 

From 96530adc03511c4b3d096e4d4e1d6cb5b347ca54 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Mon, 15 Jul 2019 20:42:09 -0700
Subject: [PATCH 21/42] libnitrokey: update to 3.5

---
 srcpkgs/libnitrokey/template | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/libnitrokey/template b/srcpkgs/libnitrokey/template
index b5ad08d5b59..16860572431 100644
--- a/srcpkgs/libnitrokey/template
+++ b/srcpkgs/libnitrokey/template
@@ -1,6 +1,6 @@
 # Template file for 'libnitrokey'
 pkgname=libnitrokey
-version=3.4.1
+version=3.5
 revision=1
 build_style=cmake
 hostmakedepends="pkg-config"
@@ -10,12 +10,7 @@ maintainer="Julio Galvan <juliogalvan@protonmail.com>"
 license="LGPL-3.0"
 homepage="https://github.com/Nitrokey/libnitrokey"
 distfiles="${homepage}/archive/v${version}.tar.gz"
-checksum=224c92023a7b8ef88e7c66d158c9593fb309956dca4523bc3c5d1615a137cef6
-
-post_extract() {
-	# plugdev group is deprecated
-	sed -i 's/GROUP+="plugdev",//' data/41-nitrokey.rules
-}
+checksum=d836f2f20c5b24088542da445893ef0a04834dca7dd8eef020e793de0601bb5a
 
 libnitrokey-devel_package() {
 	short_desc+=" - development files"

From f58854d53de7d321f34a0f68b857bdc689864da5 Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Tue, 16 Jul 2019 13:04:49 +0200
Subject: [PATCH 22/42] lego: update to 2.6.0

---
 srcpkgs/lego/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/lego/template b/srcpkgs/lego/template
index 48b5e8db895..c08291d6ce9 100644
--- a/srcpkgs/lego/template
+++ b/srcpkgs/lego/template
@@ -1,6 +1,6 @@
 # Template file for 'lego'
 pkgname=lego
-version=2.4.0
+version=2.6.0
 revision=1
 build_style=go
 go_import_path="github.com/go-acme/${pkgname}"
@@ -10,7 +10,7 @@ maintainer="Anachron <gith@cron.world>"
 license="MIT"
 homepage="https://go-acme.github.io/lego"
 distfiles="https://github.com/go-acme/lego/archive/v${version}.tar.gz"
-checksum=d45dcffb88e1f8147e797e7fd9bfefd1320461a7a9c0222802e501ff1cd59c3e
+checksum=1abba13871f58fe483a3d4ac3900d44cddeacfc3dfe9fae2d96e45a9a39e7ce7
 
 post_install() {
 	vlicense LICENSE

From c61f1af8b659cbe5b63b1a69427aed5143e29e94 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Tue, 16 Jul 2019 00:11:06 +0200
Subject: [PATCH 23/42] youtube-dl: update to 2019.07.16.

---
 srcpkgs/youtube-dl/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/youtube-dl/template b/srcpkgs/youtube-dl/template
index a2b9f5b3447..fcb7bc1a070 100644
--- a/srcpkgs/youtube-dl/template
+++ b/srcpkgs/youtube-dl/template
@@ -1,6 +1,6 @@
 # Template file for 'youtube-dl'
 pkgname=youtube-dl
-version=2019.07.14
+version=2019.07.16
 revision=1
 archs=noarch
 wrksrc="$pkgname"
@@ -14,7 +14,7 @@ license="Unlicense"
 homepage="https://rg3.github.io/youtube-dl/"
 changelog="https://raw.githubusercontent.com/rg3/youtube-dl/master/ChangeLog"
 distfiles="https://yt-dl.org/downloads/${version}/${pkgname}-${version}.tar.gz"
-checksum=4615b41dae21b7091bffc54d5a08f27bf3da511ad13d7977aba183f70da01400
+checksum=7ea654afe4879e0e9da449a1d039f2afff0a09c105c57d76e20a75aed3370d1b
 alternatives="youtube-dl:youtube-dl:/usr/bin/youtube-dl2"
 
 post_install() {

From 3cfe8d397e88c9148a056f5ff170e2593947008b Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Tue, 16 Jul 2019 12:08:06 +0000
Subject: [PATCH 24/42] avfs: update to 1.1.0.

---
 srcpkgs/avfs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/avfs/template b/srcpkgs/avfs/template
index 51d6d3e2c1e..531ea96df77 100644
--- a/srcpkgs/avfs/template
+++ b/srcpkgs/avfs/template
@@ -1,6 +1,6 @@
 # Template file for 'avfs'
 pkgname=avfs
-version=1.0.6
+version=1.1.0
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
@@ -11,7 +11,7 @@ maintainer="John <johnz@posteo.net>"
 license="GPL-2.0-only, LGPL-2.0-only"
 homepage="http://avf.sourceforge.net/"
 distfiles="$SOURCEFORGE_SITE/avf/avfs-${version}.tar.bz2"
-checksum=4c1a3a776a01ce7a5b74d66c955269162304edd8c18489fb2186ef728f4be3c3
+checksum=a7f3734f5be1a76aab710fb49a004b60bb802ccbd32394a731b18ed6011333a7
 
 libavfs_package() {
 	short_desc+=" - library"

From 79cc258fee80134a598d7a2d00a50d0fead1862c Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Tue, 16 Jul 2019 14:34:33 +0200
Subject: [PATCH 25/42] davmail: update to 5.2.0

---
 srcpkgs/davmail/template | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/davmail/template b/srcpkgs/davmail/template
index e8732109c04..b6bfe90218f 100644
--- a/srcpkgs/davmail/template
+++ b/srcpkgs/davmail/template
@@ -1,35 +1,29 @@
 # Template file for 'davmail'
 pkgname=davmail
-version=4.8.2
+version=5.2.0
 revision=1
-_build=2524
 archs="i686 x86_64"
-wrksrc="${pkgname}-src-${version}-${_build}"
 hostmakedepends="openjdk apache-ant"
 short_desc="DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP exchange gateway"
-maintainer="Anachron <Anachron14@gmx.de>"
+maintainer="Anachron <gith@cron.world>"
 license="GPL-2"
 homepage="http://davmail.sourceforge.net"
-distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-src-${version}-${_build}.tgz"
-checksum=672c7bcf62d0ed710dcaf89cd1b858a94d73959bfc80c708c3e308d4a8a299f0
+distfiles="https://github.com/mguessan/${pkgname}/archive/${version}.tar.gz"
+checksum=b42745394dfa19fe48b73cca0f3063aa745750b369a8533c65732de8de11ce93
 
 do_build() {
 	ant
 }
 
 do_install() {
-	case $XBPS_TARGET_MACHINE in
-		i686) _arch="x86";;
-		x86_64) _arch="x86_64";;
-	esac
-	_src="dist/$pkgname-linux-${_arch}-${version}-trunk.tgz"
+	_src="dist/${pkgname}-src-${version}-trunk.tgz"
 
 	mkdir -p install
 	tar -xzf "${_src}" -C install
 
 	find install -type f -name \*.exe -delete
 	vmkdir usr/share/$pkgname
-	mv install/$pkgname-linux-${_arch}-${version}/* "${DESTDIR}"/usr/share/$pkgname
+	mv install/$pkgname-src-${version}-trunk/* "${DESTDIR}"/usr/share/$pkgname
 
 	vmkdir usr/bin
 	ln -s ../share/$pkgname/$pkgname.sh "${DESTDIR}"/usr/bin/$pkgname

From 8148e2f2873dd0b697cf211b5218f232a1efd14c Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Tue, 16 Jul 2019 14:50:12 +0200
Subject: [PATCH 26/42] frp: update to 0.27.1

---
 srcpkgs/frp/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/frp/template b/srcpkgs/frp/template
index d35b8b4b671..875be7fddb2 100644
--- a/srcpkgs/frp/template
+++ b/srcpkgs/frp/template
@@ -1,16 +1,16 @@
 # Template file for 'frp'
 pkgname=frp
-version=0.25.1
+version=0.27.1
 revision=1
 build_style=go
 go_import_path=github.com/fatedier/frp
 go_package="${go_import_path}/cmd/frpc ${go_import_path}/cmd/frps"
 short_desc="Fast reverse proxy"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Anachron <gith@cron.world>"
 license="Apache-2.0"
 homepage="https://github.com/fatedier/frp"
 distfiles="https://github.com/fatedier/frp/archive/v${version}.tar.gz"
-checksum=33bda2e559f072e8423d8ef84a66b150c4a5fe986c892cbdd8b5bebe2f7956be
+checksum=570793dcbefd429fd6803bf7d0cf45a126b6373fb847b104129cbdff25794350
 
 conf_files="/etc/frp/*.ini"
 

From d450e5831d0d1230de1dfdc9b54ef5cf59f2cb9f Mon Sep 17 00:00:00 2001
From: SolitudeSF <solitudesf@protonmail.com>
Date: Tue, 16 Jul 2019 14:59:09 +0300
Subject: [PATCH 27/42] New package: vale-1.6.0

---
 srcpkgs/vale/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/vale/template

diff --git a/srcpkgs/vale/template b/srcpkgs/vale/template
new file mode 100644
index 00000000000..465a15f194d
--- /dev/null
+++ b/srcpkgs/vale/template
@@ -0,0 +1,16 @@
+# Template file for 'vale'
+pkgname=vale
+version=1.6.0
+revision=1
+build_style=go
+go_import_path="github.com/errata-ai/vale"
+short_desc="Natural language linter"
+maintainer="SolitudeSF <solitudesf@protonmail.com>"
+license="MIT"
+homepage="https://errata-ai.github.io/vale/"
+distfiles="https://github.com/errata-ai/vale/archive/v${version}.tar.gz"
+checksum=622a5915a5bf4f8262198ece756b99d51f015f270809f74818c3d6ed977971d5
+
+post_install() {
+	vlicense LICENSE
+}

From 11205f0d484c0939c5c2af88c1456bd9b80366c7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Tue, 16 Jul 2019 00:33:52 +0200
Subject: [PATCH 28/42] hub: update to 2.12.2.

---
 srcpkgs/hub/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/hub/template b/srcpkgs/hub/template
index e9f6fcb167b..a954dd71158 100644
--- a/srcpkgs/hub/template
+++ b/srcpkgs/hub/template
@@ -1,6 +1,6 @@
 # Template file for 'hub'
 pkgname=hub
-version=2.12.1
+version=2.12.2
 revision=1
 build_style=go
 go_import_path=github.com/github/hub
@@ -11,7 +11,7 @@ license="MIT"
 homepage="https://hub.github.com/"
 changelog="https://github.com/github/hub/releases"
 distfiles="https://github.com/github/hub/archive/v${version}.tar.gz"
-checksum=315114e46bbf583e23341e171c8e1a5efdbe96c04868ff0b343cf367f65f67a0
+checksum=3db0719e41731c57b8765b7f486aa91cee57bb7d39d5553d480d87a4ac6c2ee6
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" hub"

From 75cd51e93883259bebe23d49c6f7d9c3cc97cab9 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Fri, 12 Jul 2019 19:18:58 +0200
Subject: [PATCH 29/42] llvm8: correctly set clang-analyzer to be noarch

---
 srcpkgs/llvm8/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/llvm8/template b/srcpkgs/llvm8/template
index 524961325a4..9765baa23df 100644
--- a/srcpkgs/llvm8/template
+++ b/srcpkgs/llvm8/template
@@ -1,7 +1,7 @@
 # Template file for 'llvm8'.
 pkgname=llvm8
 version=8.0.0
-revision=5
+revision=6
 wrksrc="llvm-${version}.src"
 build_style=cmake
 configure_args="
@@ -165,7 +165,7 @@ do_install() {
 }
 
 clang-analyzer_package() {
-	noarch=yes
+	archs=noarch
 	pycompile_dirs="usr/share/scan-view"
 	depends="clang-${version}_${revision} python"
 	short_desc+=" - A source code analysis framework"

From 82c4382aab8a9251ebc71bda6e8caedcce97474a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Alu=C3=ADsio=20Augusto=20Silva=20Gon=C3=A7alves?=
 <aluisio@aasg.name>
Date: Wed, 10 Jul 2019 12:25:14 -0300
Subject: [PATCH 30/42] vscode: update to 1.36.1.

[ci skip]
---
 common/shlibs           | 1 +
 srcpkgs/vscode/template | 9 ++++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 027e11d1efd..5525b1f5d3d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -127,6 +127,7 @@ libGLESv2.so discord-0.0.7_1
 libGLESv2.so keybase-desktop-3.1.2_1
 libGLESv2.so riot-desktop-0.17.9_2
 libGLESv2.so wire-desktop-3.6.2885_1
+libGLESv2.so vscode-1.36.1_1
 libGLESv2.so Signal-Desktop-1.23.2_1
 libGLESv2.so slack-desktop-3.4.2_1
 libbrcmEGL.so rpi-userland-20180103_2
diff --git a/srcpkgs/vscode/template b/srcpkgs/vscode/template
index 786394eaefa..2ca4af6035a 100644
--- a/srcpkgs/vscode/template
+++ b/srcpkgs/vscode/template
@@ -1,6 +1,6 @@
 # Template file for 'vscode'
 pkgname=vscode
-version=1.35.1
+version=1.36.1
 revision=1
 hostmakedepends="pkg-config python nodejs-lts yarn"
 makedepends="libxkbfile-devel libsecret-devel"
@@ -10,7 +10,7 @@ maintainer="shizonic <realtiaz@gmail.com>"
 license="MIT"
 homepage="https://code.visualstudio.com/"
 distfiles="https://github.com/Microsoft/vscode/archive/${version}.tar.gz"
-checksum=6a5bab018f35727897140d410a3d0ebaa640d6c75ee8053a1cd5e02ece5714e9
+checksum=24b9f4046bd8ef7edb663429a58bf7dbe3acc22487a2946a4e5ead216415c065
 patch_args="-Np1"
 
 # Due to electron
@@ -35,8 +35,11 @@ pre_build() {
 
 do_build() {
 	export NODE_OPTIONS="${_mem_limit}"
-	# Remove once nodejs-lts >= 10; see node-gyp issue 1457.
+	# Remove once nodejs-lts >= 10; see node-gyp issue 1457 and
+	# electron/node issue 64.
 	export npm_config_build_v8_with_gn="false"
+	export npm_config_enable_lto="false"
+
 	yarn install --ignore-engines --arch=${_ARCH}
 	yarn run gulp vscode-linux-${_ARCH}-min
 }

From 5e259f8b0a6c2b220d1fb94bbf33bf1977869d84 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 31/42] New package: python-zipp-0.5.2

---
 srcpkgs/python3-zipp/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python3-zipp/template

diff --git a/srcpkgs/python3-zipp/template b/srcpkgs/python3-zipp/template
new file mode 100644
index 00000000000..ad4e3a01713
--- /dev/null
+++ b/srcpkgs/python3-zipp/template
@@ -0,0 +1,21 @@
+# Template file for 'python3-zipp'
+pkgname=python3-zipp
+version=0.5.2
+revision=1
+archs=noarch
+wrksrc="zipp-${version}"
+build_style=python3-module
+pycompile_module="zipp.py"
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Pathlib-compatible Zipfile object wrapper"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://github.com/jaraco/zipp"
+changelog="https://raw.githubusercontent.com/jaraco/zipp/master/CHANGES.rst"
+distfiles="${PYPI_SITE}/z/zipp/zipp-${version}.tar.gz"
+checksum=4970c3758f4e89a7857a973b1e2a5d75bcdc47794442f2e2dd4fe8e0466e809a
+
+post_install() {
+	vlicense LICENSE
+}

From bb7d5d5015d717173c786ab52993d5db38cc4f7f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 32/42] New package: python-importlib_metadata-0.18

---
 srcpkgs/python3-importlib_metadata/template | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 srcpkgs/python3-importlib_metadata/template

diff --git a/srcpkgs/python3-importlib_metadata/template b/srcpkgs/python3-importlib_metadata/template
new file mode 100644
index 00000000000..dc08caa28c7
--- /dev/null
+++ b/srcpkgs/python3-importlib_metadata/template
@@ -0,0 +1,18 @@
+# Template file for 'python3-importlib_metadata'
+pkgname=python3-importlib_metadata
+version=0.18
+revision=1
+archs=noarch
+wrksrc="importlib_metadata-${version}"
+build_style=python3-module
+pycompile_module="importlib_metadata"
+hostmakedepends="python3-setuptools"
+depends="python3-zipp"
+checkdepends="${depends}"
+short_desc="Read metadata from Python packages"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="Apache-2.0"
+homepage="https://importlib-metadata.readthedocs.io/en/latest/"
+changelog="https://importlib-metadata.readthedocs.io/en/latest/changelog%20(links).html"
+distfiles="${PYPI_SITE}/i/importlib_metadata/importlib_metadata-${version}.tar.gz"
+checksum=cb6ee23b46173539939964df59d3d72c3e0c1b5d54b84f1d8a7e912fe43612db

From 38ee0b6b4d90eaed969f54a29c2671fbb89b33ea Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 33/42] python-pluggy: update to 0.12.0.

---
 srcpkgs/python-pluggy/template  | 25 +++++++------------------
 srcpkgs/python3-pluggy          |  1 -
 srcpkgs/python3-pluggy/template | 25 +++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 19 deletions(-)
 delete mode 120000 srcpkgs/python3-pluggy
 create mode 100644 srcpkgs/python3-pluggy/template

diff --git a/srcpkgs/python-pluggy/template b/srcpkgs/python-pluggy/template
index 96ba995a3c8..a801360560f 100644
--- a/srcpkgs/python-pluggy/template
+++ b/srcpkgs/python-pluggy/template
@@ -1,15 +1,15 @@
 # Template file for 'python-pluggy'
 pkgname=python-pluggy
 version=0.9.0
-revision=1
+revision=2
 archs=noarch
-wrksrc="${pkgname/python-//}-${version}"
-build_style=python-module
+wrksrc="pluggy-${version}"
+build_style=python2-module
 pycompile_module="pluggy"
-hostmakedepends="python-setuptools python3-setuptools"
+hostmakedepends="python-setuptools"
 depends="python"
-checkdepends="python3-pytest"
-short_desc="Minimalist production ready python2 plugin system"
+checkdepends="python-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python2)"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="MIT"
 homepage="https://github.com/pytest-dev/pluggy"
@@ -17,20 +17,9 @@ distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
 checksum=19ecf9ce9db2fce065a7a0586e07cfb4ac8614fe96edf628a264b1c70116cf8f
 
 do_check() {
-	python3 -m pytest
+	python -m pytest
 }
 
 post_install() {
 	vlicense LICENSE
 }
-
-python3-pluggy_package() {
-	archs=noarch
-	pycompile_module="pluggy"
-	depends="python3"
-	short_desc="${short_desc/python2/python3}"
-	pkg_install() {
-		vmove usr/lib/python3*
-		vlicense LICENSE
-	}
-}
diff --git a/srcpkgs/python3-pluggy b/srcpkgs/python3-pluggy
deleted file mode 120000
index a7b99b1cadb..00000000000
--- a/srcpkgs/python3-pluggy
+++ /dev/null
@@ -1 +0,0 @@
-python-pluggy
\ No newline at end of file
diff --git a/srcpkgs/python3-pluggy/template b/srcpkgs/python3-pluggy/template
new file mode 100644
index 00000000000..42b31ff8af5
--- /dev/null
+++ b/srcpkgs/python3-pluggy/template
@@ -0,0 +1,25 @@
+# Template file for 'python3-pluggy'
+pkgname=python3-pluggy
+version=0.12.0
+revision=1
+archs=noarch
+wrksrc="pluggy-${version}"
+build_style=python3-module
+pycompile_module="pluggy"
+hostmakedepends="python3-setuptools"
+depends="python3-importlib_metadata"
+checkdepends="python3-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python3)"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://github.com/pytest-dev/pluggy"
+distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
+checksum=0825a152ac059776623854c1543d65a4ad408eb3d33ee114dff91e57ec6ae6fc
+
+do_check() {
+	python3 -m pytest
+}
+
+post_install() {
+	vlicense LICENSE
+}

From e56461300f50465fa67459ff8d0399e14b4f6afa Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 34/42] New package: python3-scandir-1.10.0

---
 srcpkgs/python-scandir/template | 21 ++++++++++++++++-----
 srcpkgs/python3-scandir         |  1 +
 2 files changed, 17 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/python3-scandir

diff --git a/srcpkgs/python-scandir/template b/srcpkgs/python-scandir/template
index 87d822adfe9..774fac91b8f 100644
--- a/srcpkgs/python-scandir/template
+++ b/srcpkgs/python-scandir/template
@@ -1,19 +1,30 @@
 # Template file for 'python-scandir'
 pkgname=python-scandir
 version=1.10.0
-revision=1
+revision=2
 wrksrc="scandir-${version}"
-build_style=python2-module
+build_style=python-module
 pycompile_module="scandir.py"
-hostmakedepends="python-setuptools"
-makedepends="python-devel"
-short_desc="Backport of the scandir module from Python 3.5+"
+hostmakedepends="python-setuptools python3-setuptools"
+makedepends="python-devel python3-devel"
+depends="python"
+short_desc="Better directory iterator and faster os.walk() (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
 license="BSD-3-Clause"
 homepage="https://github.com/benhoyt/scandir"
 distfiles="${PYPI_SITE}/s/scandir/scandir-${version}.tar.gz"
 checksum=4d4631f6062e658e9007ab3149a9b914f3548cb38bfb021c64f39a025ce578ae
 
+python3-scandir_package() {
+	pycompile_module="scandir.py"
+	depends="python3"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.txt
+	}
+}
+
 post_install() {
 	vlicense LICENSE.txt
 }
diff --git a/srcpkgs/python3-scandir b/srcpkgs/python3-scandir
new file mode 120000
index 00000000000..a572ade2d3e
--- /dev/null
+++ b/srcpkgs/python3-scandir
@@ -0,0 +1 @@
+python-scandir
\ No newline at end of file

From 39b7fd2420961723971beda8773e61d786786ae3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 35/42] New package: python3-pathlib2-2.3.4

---
 srcpkgs/python-pathlib2/template | 23 +++++++++++++++++------
 srcpkgs/python3-pathlib2         |  1 +
 2 files changed, 18 insertions(+), 6 deletions(-)
 create mode 120000 srcpkgs/python3-pathlib2

diff --git a/srcpkgs/python-pathlib2/template b/srcpkgs/python-pathlib2/template
index 4bd0af24131..bb7bec778f5 100644
--- a/srcpkgs/python-pathlib2/template
+++ b/srcpkgs/python-pathlib2/template
@@ -1,20 +1,31 @@
 # Template file for 'python-pathlib2'
 pkgname=python-pathlib2
 version=2.3.4
-revision=1
+revision=2
 archs=noarch
 wrksrc="pathlib2-${version}"
-build_style=python2-module
-pycompile_module="pathlib2.py"
-hostmakedepends="python-setuptools"
+build_style=python-module
+pycompile_module="pathlib2"
+hostmakedepends="python-setuptools python3-setuptools"
 depends="python-six python-scandir"
-short_desc="Backport of Python 3.4+ pathlib module"
+short_desc="Object-oriented filesystem paths (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://github.com/mcmtroffaes/pathlib2"
 license="MIT"
+homepage="https://github.com/mcmtroffaes/pathlib2"
 distfiles="${PYPI_SITE}/p/pathlib2/pathlib2-${version}.tar.gz"
 checksum=446014523bb9be5c28128c4d2a10ad6bb60769e78bd85658fe44a450674e0ef8
 
+python3-pathlib2_package() {
+	archs=noarch
+	depends="python3-six python3-scandir"
+	pycompile_module="pathlib2"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.rst
+	}
+}
+
 post_install() {
 	vlicense LICENSE.rst
 }
diff --git a/srcpkgs/python3-pathlib2 b/srcpkgs/python3-pathlib2
new file mode 120000
index 00000000000..bb0f70e054c
--- /dev/null
+++ b/srcpkgs/python3-pathlib2
@@ -0,0 +1 @@
+python-pathlib2
\ No newline at end of file

From e1f73f420886b17545a3c43076686a80500ede90 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 36/42] tox: update to 3.13.2.

---
 srcpkgs/tox/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/tox/template b/srcpkgs/tox/template
index e7b0c3553af..c735c42c37c 100644
--- a/srcpkgs/tox/template
+++ b/srcpkgs/tox/template
@@ -1,18 +1,19 @@
 # Template file for 'tox'
 pkgname=tox
-version=3.13.1
+version=3.13.2
 revision=1
 build_style=python3-module
 pycompile_module="tox"
 hostmakedepends="python3-setuptools"
-depends="python3-filelock python3-pytest python3-toml python3-virtualenv"
-checkdepends="${depends} python3-flaky"
+depends="python3-filelock python3-importlib_metadata python3-packaging
+ python3-pluggy python3-pytest python3-toml python3-virtualenv"
+checkdepends="${depends} python3-flaky python3-pathlib2"
 short_desc="Generic virtualenv management and test command line tool"
 maintainer="Piotr Wójcik <chocimier@tlen.pl>"
 license="MIT"
 homepage="https://tox.readthedocs.io/en/latest/"
 distfiles="${PYPI_SITE}/t/tox/tox-${version}.tar.gz"
-checksum=f5cb0b5b8d14f2100982b0981c750d840228180a348e6bad355aa38e949fbc3f
+checksum=ee35ffce74933a6c6ac10c9a0182e41763140a5a5070e21b114feca56eaccdcd
 
 post_install() {
 	vlicense LICENSE

From 3e39e595dd401ac16f7b221ae7e431d5addb5064 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Tue, 16 Jul 2019 17:40:05 +0200
Subject: [PATCH 37/42] mdocml: ensure less is found to enable tag feature

---
 srcpkgs/mdocml/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/mdocml/template b/srcpkgs/mdocml/template
index 00adc705645..c09bf2ff8af 100644
--- a/srcpkgs/mdocml/template
+++ b/srcpkgs/mdocml/template
@@ -1,10 +1,10 @@
 # Template file for 'mdocml'
 pkgname=mdocml
 version=1.14.5
-revision=2
+revision=3
 wrksrc="mandoc-${version}"
 build_style=configure
-makedepends="zlib-devel"
+makedepends="less zlib-devel"
 checkdepends="perl"
 depends="less"
 provides="man-0_1"

From c5c7f8627f7b68f3aee55ba239a4523590ceb764 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 16 Jul 2019 00:26:24 +0200
Subject: [PATCH 38/42] New package: python3-pysol_cards-0.6.2

---
 srcpkgs/python3-pysol_cards/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python3-pysol_cards/template

diff --git a/srcpkgs/python3-pysol_cards/template b/srcpkgs/python3-pysol_cards/template
new file mode 100644
index 00000000000..02fdf594006
--- /dev/null
+++ b/srcpkgs/python3-pysol_cards/template
@@ -0,0 +1,21 @@
+# Template file for 'python3-pysol_cards'
+pkgname=python3-pysol_cards
+version=0.6.2
+revision=1
+wrksrc="pysol_cards-${version}"
+build_style=python3-module
+pycompile_module="pysol_cards"
+hostmakedepends="python3-setuptools"
+depends="python3-pbr"
+checkdepends="python3-random2 python3-six python3-pyperclip python3-colorama
+ python3-cffi python3-appdirs python3-decorator python3-netifaces"
+short_desc="Deal PySol FC Cards"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://fc-solve.shlomifish.org/"
+distfiles="${PYPI_SITE}/p/pysol_cards/pysol_cards-${version}.tar.gz"
+checksum=a18cdc51ca8731dfc4a74def98ea7585c07b50aac14e1a708f9ef376f49f769d
+
+post_install() {
+	vlicense LICENSE
+}

From 1b376b22764c9cb26dda3f06411835201c84ce58 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 16 Jul 2019 00:26:24 +0200
Subject: [PATCH 39/42] New package: freecell-solver-5.10.0

---
 common/shlibs                    |  1 +
 srcpkgs/freecell-solver/template | 35 ++++++++++++++++++++++++++++++++
 srcpkgs/libfreecell-solver       |  1 +
 srcpkgs/libfreecell-solver-devel |  1 +
 4 files changed, 38 insertions(+)
 create mode 100644 srcpkgs/freecell-solver/template
 create mode 120000 srcpkgs/libfreecell-solver
 create mode 120000 srcpkgs/libfreecell-solver-devel

diff --git a/common/shlibs b/common/shlibs
index 5525b1f5d3d..7fa2e9220bf 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3485,6 +3485,7 @@ libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libmhash.so.2 mhash-0.9.9.9_1
 librlottie.so.0 rlottie-0.0.20160709_1
 libfstrm.so.0 fstrm-0.5.0_1
+libfreecell-solver.so.0 libfreecell-solver-5.10.0_1
 libknot.so.9 libknot-2.8.2_1
 libdnssec.so.7 libknot-2.8.2_1
 libzscanner.so.3 libknot-2.8.2_1
diff --git a/srcpkgs/freecell-solver/template b/srcpkgs/freecell-solver/template
new file mode 100644
index 00000000000..57a6df76b18
--- /dev/null
+++ b/srcpkgs/freecell-solver/template
@@ -0,0 +1,35 @@
+# Template file for 'freecell-solver'
+pkgname=freecell-solver
+version=5.10.0
+revision=1
+build_style=cmake
+hostmakedepends="perl-Template-Toolkit gperf perl-Path-Tiny
+ pysolfc python3-pysol_cards python3-random2 python3-six"
+configure_args="-DFCS_WITH_TEST_SUITE=OFF"
+short_desc="Automatically solves layouts of Freecell and similar variants of solitaire"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://fc-solve.shlomifish.org/"
+distfiles="https://fc-solve.shlomifish.org/downloads/fc-solve/freecell-solver-${version}.tar.xz"
+checksum=cc8671d315e69f6b16fc52ee9fe7515671dcc286ce871b2c13347e1afcfbdd39
+
+post_install() {
+	vlicense COPYING.txt
+}
+
+libfreecell-solver_package() {
+	pkg_install() {
+		vmove "usr/lib/*.so*"
+	}
+}
+
+libfreecell-solver-devel_package() {
+	depends="libfreecell-solver>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+	}
+}
diff --git a/srcpkgs/libfreecell-solver b/srcpkgs/libfreecell-solver
new file mode 120000
index 00000000000..f48720eb892
--- /dev/null
+++ b/srcpkgs/libfreecell-solver
@@ -0,0 +1 @@
+freecell-solver
\ No newline at end of file
diff --git a/srcpkgs/libfreecell-solver-devel b/srcpkgs/libfreecell-solver-devel
new file mode 120000
index 00000000000..f48720eb892
--- /dev/null
+++ b/srcpkgs/libfreecell-solver-devel
@@ -0,0 +1 @@
+freecell-solver
\ No newline at end of file

From 1ad28a0c7a69490e8e5cf77b38d806181a4a58b5 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 16 Jul 2019 00:26:24 +0200
Subject: [PATCH 40/42] New package: kpat-19.04.3

---
 srcpkgs/kpat/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/kpat/template

diff --git a/srcpkgs/kpat/template b/srcpkgs/kpat/template
new file mode 100644
index 00000000000..3ba58a18ae3
--- /dev/null
+++ b/srcpkgs/kpat/template
@@ -0,0 +1,15 @@
+# Template file for 'kpat'
+pkgname=kpat
+version=19.04.3
+revision=1
+build_style=cmake
+hostmakedepends="extra-cmake-modules kconfig kcoreaddons kdoctools
+ pkg-config qt5-host-tools qt5-qmake"
+makedepends="libfreecell-solver-devel libkdegames-devel
+ knewstuff-devel kparts-devel qt5-devel"
+short_desc="Relaxing card sorting game"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="GPL-2.0-only"
+homepage="https://kde.org/applications/games/kpatience/"
+distfiles="${KDE_SITE}/applications/${version}/src/kpat-${version}.tar.xz"
+checksum=ca9d53d400a2be3ca421d6d916cafeff3b9dcf220e627a1762f96817e952e8e2

From eacdac09fd7f9ec71ec7ddc7d6d2d814a32b8705 Mon Sep 17 00:00:00 2001
From: Jony <--get>
Date: Mon, 15 Jul 2019 10:21:17 -0700
Subject: [PATCH 41/42] common/environment/setup/misc.sh: sorted list of sites
 and added GITHUB_SITE

---
 common/environment/setup/misc.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/common/environment/setup/misc.sh b/common/environment/setup/misc.sh
index efa36e18589..1c51517f75d 100644
--- a/common/environment/setup/misc.sh
+++ b/common/environment/setup/misc.sh
@@ -4,19 +4,20 @@
 # SITE used for ditfiles mirrors. For use in $distfiles.
 set -a
 
-SOURCEFORGE_SITE="http://downloads.sourceforge.net/sourceforge"
-NONGNU_SITE="http://download.savannah.nongnu.org/releases"
-UBUNTU_SITE="http://archive.ubuntu.com/ubuntu/pool"
-XORG_SITE="https://www.x.org/releases/individual"
+CPAN_SITE="https://www.cpan.org/modules/by-module"
 DEBIAN_SITE="http://ftp.debian.org/debian/pool"
+FREEDESKTOP_SITE="https://freedesktop.org/software"
+GITHUB_SITE="https://github.com"
 GNOME_SITE="http://ftp.gnome.org/pub/GNOME/sources"
-KERNEL_SITE="https://www.kernel.org/pub/linux"
-CPAN_SITE="https://www.cpan.org/modules/by-module"
-PYPI_SITE="https://files.pythonhosted.org/packages/source"
-MOZILLA_SITE="https://ftp.mozilla.org/pub"
 GNU_SITE="http://ftp.gnu.org/gnu"
-FREEDESKTOP_SITE="https://freedesktop.org/software"
 KDE_SITE="https://download.kde.org/stable"
+KERNEL_SITE="https://www.kernel.org/pub/linux"
+MOZILLA_SITE="https://ftp.mozilla.org/pub"
+NONGNU_SITE="http://download.savannah.nongnu.org/releases"
+PYPI_SITE="https://files.pythonhosted.org/packages/source"
+SOURCEFORGE_SITE="http://downloads.sourceforge.net/sourceforge"
+UBUNTU_SITE="http://archive.ubuntu.com/ubuntu/pool"
+XORG_SITE="https://www.x.org/releases/individual"
 
 # Repetitive sub homepage's with no real project page
 # ie. some gnome and xorg projects. For use in $homepage.

From c2444a31ebd0e609dfd2e7bcf2549cdaa41c8654 Mon Sep 17 00:00:00 2001
From: Jony <--get>
Date: Mon, 15 Jul 2019 10:25:02 -0700
Subject: [PATCH 42/42] Manual.md: sorted list of sites and added GITHUB_SITE

---
 Manual.md | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/Manual.md b/Manual.md
index a52164a7f73..9685d77c2e8 100644
--- a/Manual.md
+++ b/Manual.md
@@ -459,8 +459,10 @@ Example:
   | CPAN_SITE        | http://cpan.perl.org/modules/by-module          |
   | DEBIAN_SITE      | http://ftp.debian.org/debian/pool               |
   | FREEDESKTOP_SITE | http://freedesktop.org/software                 |
+  | GITHUB_SITE      | https://github.com                              |
   | GNOME_SITE       | http://ftp.gnome.org/pub/GNOME/sources          |
   | GNU_SITE         | http://ftp.gnu.org/gnu                          |
+  | KDE_SITE         | https://download.kde.org/stable                 |
   | KERNEL_SITE      | http://www.kernel.org/pub/linux                 |
   | MOZILLA_SITE     | http://ftp.mozilla.org/pub                      |
   | NONGNU_SITE      | http://download.savannah.nongnu.org/releases    |
@@ -469,7 +471,6 @@ Example:
   | UBUNTU_SITE      | http://archive.ubuntu.com/ubuntu/pool           |
   | XORG_HOME        | http://xorg.freedesktop.org/wiki/               |
   | XORG_SITE        | http://www.x.org/releases/individual            |
-  | KDE_SITE         | https://download.kde.org/stable                 |
 
 - `checksum` The `sha256` digests matching `${distfiles}`. Multiple files can be
 separated by blanks. Please note that the order must be the same than
